/*
 *
 * File: CMContentManager.h
 *
 * Description:
 * Contains the definition of the CCMContentManager class. See CMContentManager.cpp 
 * for its implementation.
 *
 * Version:
 * 1.0.0 01/2001
 */

#if !defined WCDMCONTENTMANAGER_H
#define WCDMCONTENTMANAGER_H

#define FRNAFX
#define FRN_WINNT
#define FRN_INCL_FI
#define FRN_INCL_FO
#include "frnp.h"

#ifdef __cplusplus

class WCDMContentManager {
   
   public:
      // Constructor
      WCDMContentManager();
      ~WCDMContentManager();

      // Public methods
      ULONG getResult();
      ULONG getExternalResult();
      ULONG getExternalReason();
      ULONG freeCMMemory(PVOID pBuffer);
      ULONG openConnection(char* DBName, char* UserID, char* Password, char* NewPassword);
      ULONG closeConnection();
      BOOL  isConnected();
      ULONG createAttribute(char* pszName, USHORT usAttrType, LONG lMin, LONG lMax, BITS fTypeFlags);

   private:
      HSESSION             m_hSession;
      USERLOGONINFOSTRUCT* m_pLogonInfo;
      RCSTRUCT             m_RC;
      char*                m_UserID;
};

#endif /* __cplusplus */
#endif

