<%
//*
//*-------------------------------------------------------------------
//* Licensed Materials - Property of IBM
//*
//* 5724-E19
//*
//* (c) Copyright International Business Machines Corporation. yyyy, 2000-2003
//*     All rights reserved.
//*
//* US Government Users Restricted Rights - Use, duplication or
//* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//*
//*-------------------------------------------------------------------
//*
////////////////////////////////////////////////////////////////////////
//
// Change History:
//
// YYMMDD  F/D#   WHO      Description
// --------------------------------------------------------------------
// 030125  13813  vaschman add table headers (accessibility)
// 030224  14375  vaschman add text to alt tags (accessibility)
// 030308  13740  vaschman have alternate tags for thumbnails
// 030308  14475  vaschman use variable for alternate tags (translation)
// 030324  14718  hamid    Billing address is needed for subscription orders.
// 030402  15002  vaschman remove with and height to improve distoration of translated images
// 030520  14879  hamid    Do not skip billing address when user belongs to a 
//                         non-default org and is purchasing items against a
//                         subscription.
//
////////////////////////////////////////////////////////////////////////
//*
//* rename shoppingcart.jsp to imagecart.jsp 
%>

<%@ page language="java" %>
<% // All JSPs requires the first 4 packages for getResource.jsp which is used for multi language support %> 
<%@ page import="java.io.*" %>
<%@ page import="java.util.*" %>
<%@ page import="com.ibm.commerce.server.*" %>
<%@ page import="com.ibm.commerce.command.*" %>
<%@ page import="javax.servlet.*" %>
<%@ page import="com.ibm.commerce.beans.*" %>
<%@ page import="com.ibm.commerce.order.beans.*" %>
<%@ page import="com.ibm.commerce.order.objects.*" %>
<%@ page import="com.ibm.commerce.datatype.*" %>
<%@ page import="com.ibm.commerce.catalog.beans.*" %>
<%@ page import="com.ibm.commerce.catalog.objects.*" %>
<%@ page import="com.ibm.commerce.order.utils.*"   %>
<%@ page import="com.ibm.commerce.common.beans.*" %>
<%@ page import="com.ibm.commerce.webcontroller.*" %>
<%@ page import="com.ibm.commerce.tools.catalog.beans.*" %>
<%@ page import="com.ibm.commerce.contract.beans.ContractDataBean" %> <!--f12628-->
<%@ include file="getResource.jsp"%>
<% response.setContentType(dmstoretext.getString("ENCODESTATEMENT")); %> 

<%
try
{
String catalogId = request.getParameter("catalogId");
String languageId = request.getParameter("langId");
String storeId = request.getParameter("storeId");

CommandContext commandContext = (CommandContext)request.getAttribute(ECConstants.EC_COMMANDCONTEXT);
Long userRefNum = commandContext.getUserId();

//Parameters may be encrypted.
if (catalogId == null)
        catalogId = ((String[]) request.getAttribute("catalogId"))[0];
if (languageId == null)
        languageId = ((String[]) request.getAttribute("langId"))[0];
if (storeId == null)
        storeId = ((String[]) request.getAttribute("storeId"))[0];
%>

<%
//Retrieve shopping cart
TypedProperty requestProperty = (TypedProperty)request.getAttribute(ECConstants.EC_REQUESTPROPERTIES);          
String [] orderRefNum = (String[]) requestProperty.get(OrderConstants.EC_ORDER_ID, null);
OrderItemDataBean orderItem = null;
OrderItemDataBean [] orderItems = null;
%>

<%
/*
 * Recalculate order total using OrderPrepare command so that we can 
 * display the totals correctly.
 * This will also convert the shop cart to the currency currently in use.
 * If your store is single currency and don't need to display order total
 * in the shop cart you may want to remove the following lines and avoid running
 * OrderPrepare all the time.
 */
 
// execute controller command OrderPrepare
commandContext.setCommandName("OrderPrepare");
//construct iProperties with the appropriate info
TypedProperty iProperties = commandContext.getRequestProperties();
iProperties.putUrlParam("orderId", orderRefNum);
iProperties.putUrlParam("URL", "/");
ControllerCmdExecUnit execUnit = new ControllerCmdExecUnit("OrderPrepare", commandContext, iProperties);
execUnit.execute();
%>

<jsp:useBean id="orderBean" class="com.ibm.commerce.order.beans.OrderDataBean" scope="page">
<%
orderBean.setOrderId(orderRefNum[0]);
com.ibm.commerce.beans.DataBeanManager.activate(orderBean, request);
%>
</jsp:useBean>

<%
//Get shop cart items.
orderItems = orderBean.getOrderItemDataBeans();
%>

<jsp:useBean id="bnRegister" class="com.ibm.commerce.user.beans.UserRegistrationDataBean" scope="page">
<% 
        bnRegister.setProfileType("C");
        com.ibm.commerce.beans.DataBeanManager.activate(bnRegister, request); 
%>
</jsp:useBean>
<%
String userType = bnRegister.getRegisterType().trim();
String activeUserID = new String("");
String logonId = new String("");
if (!(userType.equals("G")))
{
        // Retrieve the userid
        activeUserID = bnRegister.getUserProfile().getUserId();
        logonId = bnRegister.getLogonId();
}
boolean displayprice = true; //manojusage.new
%>
<%@ include file="DMSubscription.inc" %>
<%
//Subcription Customization
//Check whether the cart is a mix cart. 
int normalcartitems = 0; // Number of standard items in cart
int subscriptioncartitems = 0; // Number of Subscription items in the cart
for (int i=0; i<orderItems.length; i++)
{
        orderItem = orderItems[i];
        String mfname = orderItem.getCatalogEntry().getManufacturerName().trim();
        if (mfname != null)
        {
                if ( (mfname.equalsIgnoreCase("D")) || (mfname.equalsIgnoreCase("P")) || (mfname.equalsIgnoreCase("A")) )
                {
                        subscriptioncartitems = subscriptioncartitems + 1;
                }
                else
                {
                        normalcartitems = normalcartitems + 1;
                }
        }
        else
        {
                normalcartitems = normalcartitems + 1;
        }
        
}

boolean cancheckoutamount = false;
if ( (!subscriptionexpiredflag) && (amountflag) )
{
        BigDecimal subval = new BigDecimal(subscriptionvalue);
        BigDecimal chckzero = new BigDecimal("0.0");
        subval = subval.subtract(orderBean.getGrandTotal().getAmount());
        if (subval.compareTo(chckzero) > 0)
        {
                cancheckoutamount = true;
        }
}

boolean packageitemcheckout = true;
if ( (packageflag) && (Integer.parseInt(subscriptionvalue) < orderItems.length ) )
{
        packageitemcheckout = false;
}

%>
<SCRIPT language="javascript">
/***
The 'orderItemId*=&quantity*=&...' used in the URL value below prevents the parameters from being passed to 
the next redirection URL.  Without this, the parameter list would be too long and would be unable to 
handle orders that have too many orderitems.
***/ 
//f12628: new function
function updateForm(form)
{
        form.URL.value = 'OrderItemDisplay?orderId=*&orderItemId*=&quantity*=&contract*=';
        form.submit();
}

function UpdateTotal(form)
{
        form.submit()
}
function UpdateTotal_Checkout(form,check)
{

        form.page.value='billingaddress';
        if ( (<%=normalcartitems%> > 0) && (<%=subscriptioncartitems%> > 0) )
        {
                alert("<%=dmstoretext.getString("ERROR_MIXED_ITEMS")%>");
                
        }
        else if (<%=subscriptioncartitems%> > 1)
        {
                alert("<%=dmstoretext.getString("ERROR_TWO_ITEMS")%>");
        }
        else if ( (!<%=subscriptionexpiredflag%>) && (!<%=neversubscribedflag%>) )
        {
                if ( <%=packageflag%> && (!<%=packageitemcheckout%>) && (<%=subscriptioncartitems%> < 1) )
                {                    
                                <%
   String displaymessage4 = "";
   String msg_args4[] = new String[1];  
   msg_args4[0] = subscriptiondisplaystr;
   displaymessage4 = java.text.MessageFormat.format(dmstoretext.getString("SUBSCRIPTION_MEDIA"),msg_args4);
   %>
        
           
                        var ret = confirm("<%=displaymessage4%> <%=dmstoretext.getString("ASK_CONTINUE_CHECKOUT")%>");
                        if (ret)
                        {
                                form.submit();
                        }
                        
                }
                else if ( (<%=amountflag%>) && (!<%=cancheckoutamount%>) && (<%=subscriptioncartitems%> < 1) )
                {
                                
                                <%
   String displaymessage5 = "";
   String msg_args5[] = new String[1];  
   msg_args5[0] = subscriptiondisplaystr;
   displaymessage5 = java.text.MessageFormat.format(dmstoretext.getString("SUBSCRIPTION_AMOUNT"),msg_args5);
   %>
                        var ret = confirm("<%=displaymessage5%> <%=dmstoretext.getString("ASK_CONTINUE_CHECKOUT")%>");
                        if (ret)
                        {
                                form.submit();
                        }
                }
                else if (<%=subscriptioncartitems%> == 0)
                {
                        // alert("<%//=dmstoretext.getString("SUBSCRIPTION_CHECKOUT")%>");
                        <% //---d14879: BEGIN %>
                        <%
                        //NOTE: The following logic is needed if the user does NOT
                        //      belong to a non-default organization.  Belonging to 
                        //      a non-default organization and purchasing against a
                        //      subscription also requires billing address information
                        //      and so the next page that gathers billing address 
                        //      information can not be skipped by overriding the 
                        //      page field to "shipaddress".
                        String orgId = commandContext.getParentOrg();
                        if (orgId.compareTo("7000000000000000000") < 0) { // Note: non-default org IDs start at this number
                        %>
                        form.page.value='shipaddress'; <% //d14879 %>
                        <%
                        }
                        %>
                        <% //---d14879: END %>
                        form.submit();
                }
                else
                {
                        // alert("<%//=dmstoretext.getString("RENEW_SUBSCRIPTION")%>"); 
                        //14718: form.action="OrderPrepare";
                        //14718: form.URL.value="OrderDisplay";
                        //form.status.value="P"; //14718
                        form.subscribetype.value="RENEWSUBSCRIPTION"; //14718
                        form.submit();
                }
        }
        else if (<%=subscriptioncartitems%> > 0)
        {
                //14718:  alert("<%=dmstoretext.getString("NEW_SUBSCRIPTION")%>");
                //14718: form.action="OrderPrepare";
                //14718: form.URL.value="OrderDisplay";
                //form.status.value="P"; //14718
                form.subscribetype.value="NEWSUBSCRIPTION"; //14718
                form.submit();
        }       
        else
        {
                form.submit();
        }
        
        
}
function deleteItems(form) 
{
        form.action = "OrderItemDelete";
        form.submit();
}

function viewCD(prod_num)
{       
    document.view_cd.productId.value= prod_num;
        document.view_cd.submit();
}

function godetail(imageid)
{
        document.godetail.searchcmimageKeywords.value = imageid;        
        document.godetail.submit();     

}

//manojusage.sn
function priceimage(orderId, orderItemId, itemPrice, itemBasePrice)
{
        document.usagequestion.orderId.value = orderId;
        document.usagequestion.orderItemId.value = orderItemId;
        document.usagequestion.itemPrice.value = itemPrice;
        document.usagequestion.itemBasePrice.value = itemBasePrice;
        document.usagequestion.page.value = "usagequestions";
        document.usagequestion.submit();
}

function priceall(orderId)
{
        document.usagequestion.orderId.value = orderId;
        document.usagequestion.applyAll.value = "true";
        document.usagequestion.page.value = "usagequestionsall";
        document.usagequestion.submit();
}
//manojusage.en

</SCRIPT>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "DTD/xhtml1-transitional.dtd">

<HEAD><title><%=dmstoretext.getString("SHOPPINGCART_TITLE")%></title>
</head>
<body leftmargin="0" topmargin="0" marginheight="0" marginwidth="0" rightmargin="0" bgcolor="#FFFFFF">

<%
String incfile;
incfile = "/" + storeDir + "/common/header.jsp";
%>

<jsp:include page="<%=incfile%>" flush="true"/>

<%
incfile = "/" + storeDir + "/common/sidebar.jsp";
%>
<jsp:include page="<%=incfile%>" flush="true"/>
<!--MAIN CONTENT STARTS HERE-->

<Form NAME="ShopCartForm" METHOD=post action="<%="OrderItemUpdate"%>">
<input type=hidden name="storeId" value="<%= storeId %>">
<input type=hidden name="langId" value="<%= languageId %>">
<input type=hidden name="orderId" value="<%=orderBean.getOrderId()%>">
<input type=hidden name="catalogId" value="<%= catalogId %>">
<input type=hidden name="page" value="">
<input type=hidden name="URL" value="OrderItemDisplay">

<!--<input type=hidden name="status" value=""> <% //14718 %>-->
<input type=hidden name="subscribetype" value=""> <% //14718 %>

<input type=hidden name="productId" value="">

<table border="0" cellpadding="0" cellspacing="0" width="595">
 <!--body header row1-->
 <tr>
  <td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="30" border="0" alt=""></td>
  <td>  
   <table border="0" cellpadding="0" cellspacing="0" width="521">
        <tr>
         <td width="35" colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="12" border="0" alt=""></td>
        </tr>
        <tr>
         <td valign="top">
          <img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/cart/rf_productcart.gif" alt="" border="0"><br>
         </td>
         <td align="right" valign="top"></td>
        </tr>
        <tr>
         <td width="35" colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="15" border="0" alt=""></td>
        </tr>
   </table>
  </td>
  <td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="30" border="0" alt=""></td>
 </tr>  
 <!--end body header row1-->
 <!--body line row2-->          
 <tr>
  <td colspan="3" bgcolor="#CCCCCC"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" border="0" alt=""></td>
 </tr>
 <!--end body line row2-->              
 <!--main body content row3-->                                          
 <tr>
  <td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="35" border="0" alt=""></td>
  <td valign="top">
   <img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="15" border="0" alt=""><br>
        <%= dmstoretext.getString("PURCHASE_CHECKOUT") %>  
        <%
   String displaymessage = "";
   String msg_args[] = new String[1];  
   msg_args[0] = "<A href=\"" + WCS_DIGITALMEDIA_COMMON + "?includefile=OrderHelp&catalogId=" + catalogId + "&storeId=" + storeId + "&langId=" + languageId + "\">";
   displaymessage = java.text.MessageFormat.format(dmstoretext.getString("INFO_MESSAGE52"),msg_args);
   displaymessage = displaymessage + "</a>";
   %>
        <%=displaymessage%>
        <p> 
        <table border="0" cellpadding="0" cellspacing="0" width="525">
         <tr>
          <td bgcolor="#CCCCCC" width="1"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" alt="" border="0"></td>
          <td id="productcartONE" bgcolor="#CCCCCC" align="center" class="small"><b><%= dmstoretext.getString("THUMBNAIL") %></b>&nbsp;&nbsp;</td>
          <td bgcolor="#FFFFFF" width="1"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" alt="" border="0"></td>
          <td id="productcartTWO"bgcolor="#CCCCCC" class="small">&nbsp;&nbsp;<b><%= dmstoretext.getString("DESCRIPTION") %></b></td>
          <td bgcolor="#FFFFFF" width="1"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" alt="" border="0"></td>
          <td id="productcartTHREE"bgcolor="#CCCCCC" class="small">&nbsp;&nbsp;<b><%= dmstoretext.getString("FORMAT1") %></b></td>
          <td bgcolor="#FFFFFF" width="1"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" alt="" border="0"></td> 
          <td id="productcartFOUR"bgcolor="#CCCCCC" align="right" class="small"><b><%= dmstoretext.getString("PRICE1") %></b>&nbsp;&nbsp;</td>
          <td bgcolor="#FFFFFF" width="1"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" alt="" border="0"></td>                                         
          <td bgcolor="#CCCCCC" class="small">&nbsp;</td>
          <td bgcolor="#CCCCCC" width="1"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" alt="" border="0"></td>                                         
         </tr>  

         
<!-- show images and data -->
<%

int itemCounter = 0; //f12628
for (int i = 0; i < orderItems.length; i++) 
{       
        itemCounter++; //f12628
        orderItem = orderItems[i];
                
        // get attribute values
    com.ibm.commerce.catalog.beans.AttributeValueDataBean attrValItem = new com.ibm.commerce.catalog.beans.AttributeValueDataBean();    
    Vector allattr = new Vector();      
        
    // find all the attribute values with item_id    
    for (Enumeration e = attrValItem.findByCatalogEntry(new Long(orderItem.getCatalogEntryId())); e.hasMoreElements();) 
        {       
       allattr.addElement(e.nextElement());     
        }       
    int allsize = allattr.size();       
        String attrValue = "";  
    String[] langID = new String[allsize];      
    for (int j = 0; j < allsize; j++)   
        {       
        langID[j] = ((com.ibm.commerce.catalog.beans.AttributeValueDataBean)allattr.elementAt(j)).getLanguage_id();
        if (langID[j].equals(languageId)) 
                {       
                        attrValue = attrValue + " " + (String)(((com.ibm.commerce.catalog.beans.AttributeValueDataBean)allattr.elementAt(j)).getAttributeValue());
        }       
    }           
        
        //Using catalogEntryId of orderItem find the Product's CatalogEntryAccess bean
        //to get ProductId and pass it to CM for view_clip
        String prod_num = "";
        Long catalogID = new Long(orderItem.getCatalogEntryId());
        Enumeration enu = orderItem.getCatalogEntry().findByChildCatalogEntry(catalogID);
        if(enu.hasMoreElements())
                prod_num = ((CatalogEntryAccessBean)enu.nextElement()).getCatalogEntryReferenceNumber();
        
        //to display attributes and AuxDescription of OrderItem in the Format Column.
        String specs_1 = orderItem.getCatalogEntry().getDescription(new Integer(languageId)).getAuxDescription1();
        if(specs_1 == null)
                specs_1 = "";
        
        //PTR 5903 change
%>       
 <tr>
          <td bgcolor="#CCCCCC" width="1"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" alt="" border="0"></td>
          <td width="90" class="clipid" align="center">
           <img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="2" alt="" border="0">
           <br><%=orderItem.getCatalogEntry().getManufacturerPartNumber()%><br>
       <input type=hidden name="orderItemId_<%=i+1%>" value="<%=orderItem.getOrderItemId()%>" >
       <input type=hidden name="quantity_<%=i+1%>" value="<%=orderItem.getQuantityInEJBType().intValue()%>" >   
           <% //PTR 5903 change %>
           <%
           String thumbpath = orderItem.getCatalogEntry().getDescription(new Integer(languageId)).getThumbNail();
                int backslash = thumbpath.indexOf("\\");
                if (backslash != -1)
                {
                        thumbpath = thumbpath.substring(0,backslash) + "/" + thumbpath.substring(backslash + 1);                        
                }
           %>
           <img src="<%=MEDIA_THUMBNAIL_PATH%>/<%=thumbpath%> " border="0" alt="<%=orderItem.getCatalogEntry().getDescription(new Integer(languageId)).getThumbNail()%>" vspace="5" hspace="5">


<%  
        CatalogEntryDataBean catalogBean = new CatalogEntryDataBean();
        catalogBean.setCatalogEntryID(orderItem.getCatalogEntry().getParentCatalogEntryIds()[0]);
        catalogBean.populate();
%>
   
           
<%              //Check for CD or clip
                String type = orderItem.getField2();            
                if((type != null) && (type.equals("CD")))
                { %>
                        <br><a href="javascript:viewCD(<%=prod_num%>)" class="play"><%= dmstoretext.getString("VIEW_DETAILS") %></a>
<%              }
                else
                {       %>
                        <br><a href="javascript:godetail(<%=catalogBean.getPartNumber()%>)" class="play"><%= dmstoretext.getString("VIEW_DETAILS") %></a>
<%              }       %>              
<%
                catalogBean = null;
//manojusage.sn
                String itemPrice = orderItem.getFormattedTotalProduct().getAmount().toString();
                String itemBasePrice = orderItem.getField1();           
                if ((itemBasePrice == null) || (itemBasePrice.equals("")))
                {
                        itemBasePrice = itemPrice;
                        displayprice = false;
                        itemPrice = "-1";
                        
                }
                
                // if itemBasePrice is null then pass the itemprice as the base price and 
                
                %>
                <br><a href="javascript:priceimage(<%=orderRefNum[0]%>,<%=orderItem.getOrderItemId()%>,<%=itemPrice%>,<%=itemBasePrice%>)" class="play"><%= dmstoretext.getString("PRICE_REPRICE_IMAGE") %></a>                 
                <%
                //manojusage.en
                %>         
           <br><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="2" alt="" border="0">
          </td>
          <td bgcolor="#CCCCCC" width="1"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" alt="" border="0"></td>
          <td width="145" class="small" align="left">&nbsp;&nbsp;<%=orderItem.getCatalogEntry().getDescription(new Integer(languageId)).getLongDescription()%></td>
          <td bgcolor="#CCCCCC" width="1"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" alt="" border="0"></td>
          
<!-- change code here later for attributes -->
          <td width="140" class="small" align="left">&nbsp;&nbsp;<%=attrValue%><br>&nbsp;&nbsp;<%//=specs_1%></td>      
          <td bgcolor="#CCCCCC" width="1"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" alt="" border="0"></td>

                  <%
          //manojusage.sn
          if (!(displayprice))
          {
          %>
          <!--<td width="100" class="small" align="right">&nbsp;&nbsp;</td> -->
          <%
          }
          else
          {
          %>
          <!-- <td width="100" class="small" align="right"><%//=orderItem.getFormattedTotalProduct()%>&nbsp;&nbsp;</td>  -->
          <%
          }
          //manojusage.en
          %>
          <td width-"100" class="small" align="right"><%=orderItem.getFormattedTotalProduct()%>&nbsp;&nbsp;</td>                  

          <td bgcolor="#CCCCCC" width="1"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" alt="" border="0"></td> 

          <td class="small" align="center"><a href="OrderItemDelete?orderItemId=<%=orderItem.getOrderItemId()%>&URL=OrderItemDisplay&langId=<%=languageId%>&catalogId=<%=catalogId%>&storeId=<%=storeId%>&orderId=." class="play"><%=dmstoretext.getString("REMOVE_ITEM")%></a></td>    
          <td bgcolor="#CCCCCC" width="1"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" alt="" border="0"></td> 
         </tr>

<%
if (subscriptioncartitems == 0) { //14718
%>
         <!--f12628: begin-->  
<tr>
          <td bgcolor="#CCCCCC" width="1" colspan="11"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" alt="" border="0"></td>
</tr>  
<TR>
                  <td bgcolor="#CCCCCC" width="1"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" alt="" border="0"></td>
          <TD class="small" colspan="9" align="center">
                  <TABLE>
                  <TR>
                          <TD><strong><%=dmstoretext.getString("CART_CONTRACT") %></strong></TD>
                          <TD>&nbsp;</TD>
                          <TD>
                                  <SELECT name="contractId_<%=itemCounter%>" onChange="javascript:updateForm(document.ShopCartForm)">
                                  <% 
                                          // begin select contracts
                                          String[] contractIds = cmdcontext.getEligibleTradingAgreementIds();
                                          for (int k=0; k < contractIds.length; k += 1)
                                          {
                                                  ContractDataBean contractDataBean = new ContractDataBean();
                                                  contractDataBean.setDataBeanKeyReferenceNumber(contractIds[k]);
                                                  DataBeanManager.activate(contractDataBean, request);
                                                  String sel = "";
                                                  if (contractIds[k].equals(orderItem.getContractId())){
                                                          sel = "selected";       
                                                  }

                                  %>
                                                  <OPTION value="<%=contractIds[k]%>" <%= sel %>><%=contractDataBean.getName()%></OPTION>
                                  <%
                                          } // end for
                                  %>
                                  </SELECT>
                          </TD>
                          <TD>&nbsp;</TD>
                  </TR>
                  </TABLE>
          </TD>
                 <td bgcolor="#CCCCCC" width="1"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" alt="" border="0"></td>  
</TR>
<!--f12628: end-->  
<%
} //14718
%>

<tr>
          <td bgcolor="#CCCCCC" width="1" colspan="11"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" alt="" border="0"></td>
         </tr>  
<%
}
%>       
<!-- /show images and data -->
         
         <tr>
          <td bgcolor="#CCCCCC" width="1"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" alt="" border="0"></td>
          <td class="small" colspan="9" align="right" >
          <%
          //manojusage.sn
          if (displayprice)
          {
          %>
                <!-- <br>&nbsp;<b><%//=infashiontext.getString("SUBTOTAL2")%></b>&nbsp;<%//=orderBean.getFormattedTotalProductPrice()%> -->
          <%
          }
          else
          {
                %>
                <!-- <br>&nbsp;<b><%//=infashiontext.getString("SUBTOTAL2")%></b>&nbsp; -->
                <%
          }
          //manojusage.en
          %>
          
                <br>&nbsp;<b><%=dmstoretext.getString("SUBTOTAL2")%></b>&nbsp;<%=orderBean.getFormattedTotalProductPrice()%>
                <img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="10" height="5" alt="" border="0">
                <!--PTR 5938 <input type="button" name="update totals" value="Update Totals" onClick="UpdateTotal(document.ShopCartForm)"-->
                &nbsp;&nbsp;&nbsp;&nbsp;
                </form> 
          </td>
          <td bgcolor="#CCCCCC" width="1"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" alt="" border="0"></td>
         </tr>  
     <tr>
          <td bgcolor="#CCCCCC" width="1" colspan="11"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" alt="" border="0"></td>      
         </tr>
         <tr>
         <td colspan="11">
         <%= dmstoretext.getString("CHECKOUT_OPTION") %>
         </td>
         </tr>
         <tr>
          <td colspan="11><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="5" alt="" border="0"></td>
         </tr>
         <tr>
          <td colspan="11>
          <!--There is an error in the html, the following font tag is needed to correct it -Brian-->
          <font color="CE2908"></font>
        <%
    if((!subscriptionexpiredflag) && (subscriptioncartitems == 0))
        {
      if (packageflag)
          {
          %>
                  <font color="CE2908"><b><%=dmstoretext.getString("PACKAGE_CHARGED")%></b></font><br>
          <%
          }
          else if (durationflag)
          {
          %>
                  <font color="CE2908"><b><%=dmstoretext.getString("DURATION_CHARGED")%></b></font><br>
          <%
          }
          else if (amountflag)
          {
          %>
                  <font color="CE2908"><b><%=dmstoretext.getString("AMOUNT_CHARGED")%></b></font><br>
          <%
          }
        } 
        if((!subscriptionexpiredflag) && (subscriptioncartitems > 0))
        {
      if (packageflag)
          {
          %>
                  <font color="CE2908"><b><%=dmstoretext.getString("ADD_PACK_SUBSCRIPTION")%></b></font><br>
          <%
          }
          else if (durationflag)
          {
          %>
                  <font color="CE2908"><b><%=dmstoretext.getString("ADD_DURATION_SUBSCRIPTION")%></b></font><br>
          <%
          }
          else if (amountflag)
          {
          %>
                  <font color="CE2908"><b><%=dmstoretext.getString("ADD_AMOUNT_SUBSCRIPTION")%></b></font><br>
          <%
          }
        } 
        
          %>
          
          </td>
         </tr>
         <tr>    
          <td colspan="2">        
           <A href="javascript:UpdateTotal_Checkout(document.ShopCartForm,'checkout')">
           <img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/cart/rf_checkoutbutton.gif" border="0" alt="<%=dmstoretext.getString("IMGCHECKOUT_TAG")%>" ></A>
          </td>
          <td colspan="2">
          
          <%
                //manojusage.sn 
                %>
                        <a href="javascript:priceall(<%=orderRefNum[0]%>)" class="play"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/cart/priceall.gif" border="0" vspace="10" alt="<%=dmstoretext.getString("IMGPRICEALL_TAG")%>" ></a> <!-- manojusage.new-->
                <%
                //manojusage.en
                %>
         </td>
         </tr>
        </table>
   <p>
   </td>
   <td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="35" border="0" alt=""></td>
   
   </td>
  </tr> 
 </table>
 <!--end main body content row3-->
 <%// newsearch%>
<%// Search for the Image and then call the Image Detail JSP%>

<form name ="godetail" method="post" action="<%=LIGHTBOX_INIT_SESSION_CMD%>">
        <input type="hidden" Name="imagesdir" VALUE="<%=MEDIA_THUMBNAIL_PATH%>">
        <input type="hidden" Name="url" VALUE="<%=MEDIA_SEARCH_SERVLET_NAME%>">
        <input type="hidden" name="incrementby" value="<%=MEDIA_DEFAULT_DISPLAY%>">
        <input type="hidden" Name="thumbnailpartno" VALUE="<%=MEDIA_PART_ID_THUMBNAIL%>">
        <input type="hidden" Name="searchword" VALUE="<%=MEDIA_COMMON_WORD%>">
        <input type="hidden" Name="searchcmimageLDeleteFlg" VALUE="Y">
        <input type="hidden" name="storeId" value="<%=storeId%>">
        <input type="hidden" name="catalogId" value="<%=catalogId%>">
        <input type="hidden" name="langId" value="<%=languageId%>">                     
        <input type=hidden name="searchcmimageKeywords" value="">       
        <input type=hidden name="storeDir" value="<%=storeDir%>">       
        <input type=hidden name="localeValue" value="<%=wcdmLocale%>">  
        <input type="hidden" name="nexturl" value="<%=MEDIA_ADD_IMAGE_DETAIL_JSP%>">
        <input type="hidden" name="errorurl" value="<%=ERROR_HANDLER_JSP%>">    
        <input type="hidden" name="cmindexclass" value="<%=dmstoreconfig.getString("WCDMCMINDEXCLASS")%>">      
        <input type="hidden" name="cmmaxrec" value="<%=dmstoreconfig.getString("WCDMCMMAXRESULTS")%>">                  
<script language="JavaScript">
        document.writeln("<INPUT type=hidden name=user_id value='<%=activeUserID%>'>");
        document.writeln("<INPUT type=hidden name=shopper_ref value='<%=activeUserID%>'>");
</script>
</form>
<!-- /view clip -->
<!-- view cd --> 
<form name="view_cd" method="POST" action="<%="ProductDisplay"%>">
 <input type=hidden name="storeId" value="<%= storeId %>">
 <input type=hidden name="langId" value="<%= languageId %>">
 <input type=hidden name="catalogId" value="<%= catalogId %>">
 <input type=hidden name="productId" value="">
</form>
<!-- /view cd -->
<!-- manojusage.sn-->
<form name="usagequestion" method="POST" action="<%="OrderItemDisplay"%>">
 <input type=hidden name="storeId" value="<%= storeId %>">
 <input type=hidden name="langId" value="<%= languageId %>">
 <input type=hidden name="catalogId" value="<%= catalogId %>">
<script language="JavaScript">
        document.writeln("<INPUT type=hidden name=user_id value='<%=activeUserID%>'>");
        document.writeln("<INPUT type=hidden name=shopper_ref value='<%=activeUserID%>'>");
</script>
<input type=hidden name="orderId" value="">
<input type=hidden name="orderItemId" value="">
<input type=hidden name="itemPrice" value="">
<input type=hidden name="itemBasePrice" value="">
<input type=hidden name="page" value="">
<input type=hidden name="applyAll" value="">
<input type=hidden name="currsymbol" value="<%=orderBean.getFormattedTotalProductPrice().getSymbol()%>">
<input type=hidden name="curr" value="<%=orderBean.getFormattedTotalProductPrice().getCurrency()%>">
</form>
<!-- manojusage.en-->
<!--MAIN CONTENT ENDS HERE-->
 
<%
incfile = "/" + storeDir + "/common/footer.jsp";
%>

<jsp:include page="<%=incfile%>" flush="true"/>

<%
}
catch(Exception e)
{
        String errMsg = dmstoretext.getString("ERROR_CART");
        System.out.println(errMsg + e);
}
%>
</body>

</html>

