
<%
//********************************************************************
//*-------------------------------------------------------------------
//* Licensed Materials - Property of IBM
//*
//* 5697-D24
//*
//* (c) Copyright IBM Corp. yyyy, 2000
//*
//* US Government Users Restricted Rights - Use, duplication or
//* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//*
//*-------------------------------------------------------------------
//*
%>
<%
//
// Change History:
//
// YYMMDD  F/D#   WHO      Description
// --------------------------------------------------------------------
// 030706  14750  hamid -Initial release.  Include common functions for 
//                       replacing special characters in a string with 
//                       corresponding ascii codes in HTML. 
%>

<%!
//=============================================================================
// CONSTANT:  Special Characters
//=============================================================================
static String SPECIAL_CHARS = "\'\"";


//=============================================================================
// METHOD:  getHtmlAsciiCodeForChar()
//=============================================================================
public String getHtmlAsciiCodeForChar(char ch) {
        //--- NOTE:  This method only converts a selected set of characters.
        
        switch (ch) {
        case '\"':
                return ("&#34;");
        case '\'':
                return ("&#39;");
        default:
                return (String.valueOf(ch));
        }
}


//=============================================================================
// METHOD:  convertCharAtIndexWithHtmlAsciiCode()
//=============================================================================
public String convertCharAtIndexWithHtmlAsciiCode(String origStr, int i) {
        return (convertCharAtIndexWithHtmlAsciiCode(origStr, i, null));
}

public String convertCharAtIndexWithHtmlAsciiCode(String origStr, int i, String acode) {
        if (i < 0 || i >= origStr.length())
                return (null);
                
        String str1 = "";
        String str2 = "";
        int lastPos = origStr.length() - 1;
        
        if (i == 0) {
               str2 = origStr.substring(1);
        } else {
               str1 = origStr.substring(0, i);
               if (i != lastPos)
                       str2 = origStr.substring(i+1);
        }
        
        if (acode == null)
                acode = getHtmlAsciiCodeForChar(origStr.charAt(i));
        
        return (str1 + acode + str2);
}


//=============================================================================
// METHOD:  convertSpecialCharsInString()
//=============================================================================
public String convertSpecialCharsInString(String origStr) {
        String newStr = origStr;
        int _i = 0;
        int _start = 0;
        int _len = newStr.length();

        while (true) {
                //--- look for and convert special characters
                for (_i=_start; _i<_len; _i++) {
                        char _ch = newStr.charAt(_i);
                        String acode = getHtmlAsciiCodeForChar(_ch);
                        
                        if (SPECIAL_CHARS.indexOf(_ch) >= 0) {
                                //--- convert string
                                newStr = convertCharAtIndexWithHtmlAsciiCode(newStr, _i, acode);
                                
                                //--- determine new string length
                                _len = newStr.length();
                                
                                //--- increment string start position
                                _start = _i + acode.length() - 1;
                                
                                //--- get out of inner loop
                                break;
                        }
                }
                
                //--- check to end main loop
                if (_i >= _len || _start >= _len) 
                        break;
        }
         
        return (newStr);
}
%>

