<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "DTD/xhtml1-transitional.dtd">
<%
//********************************************************************
//*-------------------------------------------------------------------
//* Licensed Materials - Property of IBM
//*
//* 5724-E19
//*
//* (c) Copyright International Business Machines Corporation. yyyy, 2000-2003
//*     All rights reserved.
//*
//* US Government Users Restricted Rights - Use, duplication or
//* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//*
//*-------------------------------------------------------------------
//*
////////////////////////////////////////////////////////////////////////
//
// Change History:
//
// YYMMDD  F/D#   WHO      Description
// --------------------------------------------------------------------
// 030205  13762  vaschman add alternate tags - for accessibility  
// 030218  14288  johnz    edit/upload/delete media buttons not working
// 030224  14449  johnz    "edit and upload media" does not save description
// 030226  13740  vaschman add alternative text for thumbnails
// 030308  14475  vaschman use variable for alternate tags
// 030324  14825  johnz    Advanced search on Dusk/Dawn and Sunrise/Sunset not working

%>


<%@ page language="java" %>

<%@ page import="java.io.*" %>
<%@ page import="java.util.*" %>
<%@ page import="com.ibm.mm.sdk.common.*" %>
<%@ page import="com.ibm.mm.sdk.server.*" %>
<%@ page import="java.util.zip.*" %>
<%@ page import = "com.ibm.commerce.digitalmedia.library.util.*" %>
<%@ page import = "com.ibm.commerce.digitalmedia.load.*" %>
<%@ include file="DMJSPFunc.inc" %>

<script language="JavaScript">

<%@ include file="DMJSFunc.inc" %>

function play_it_direct(urlloc)
{	
	var popupWindow = window.open(urlloc,"popup","width=650,height=650");
}

</script>

<HEAD>
  <TITLE><%=dmstoretext.getString("DMADMINMEDIAUPDATE_TITLE")%></TITLE>
</HEAD>

<BODY marginheight="0" marginwidth="0" link="#808080" vlink="#808080" alink="#CC9900">

<%!
PropertyResourceBundle mcResourceBundle = null;
String serverType = "";
String server = null;
String userid = null;
String password = null;
String textserver = null;
DKDatastoreDL dsDL = null;
DKDatastoreICM dsICM = null;

public void jspInit()
{
        try
        {
                mcResourceBundle = com.ibm.commerce.digitalmedia.mediafolder.utils.Utility.getMediaCommerceResourceBundle();
                Message.logMessage("[DMAdminMediaUpdate::jspinit] Reading the properties file",1);
                // Get the values from the properties file
		serverType = mcResourceBundle.getString(SearchMediaConstants.MEDIA_SERVER_TYPE);
                server = mcResourceBundle.getString(SearchMediaConstants.MEDIA_SERVER_NAME);
                userid = mcResourceBundle.getString(SearchMediaConstants.MEDIA_USER_ID);
                password = mcResourceBundle.getString(SearchMediaConstants.MEDIA_PASSWORD);
                textserver = mcResourceBundle.getString(SearchMediaConstants.MEDIA_TEXT_SERVER_NAME);

  		if (serverType.equalsIgnoreCase("DL")) 
		{
			dsDL = new DKDatastoreDL();
			Message.logMessage("[DMAdminMediaUpdate::jspinit] Connecting to DL library server \"" + server + 
				"\" as \"" + userid + "/" + password + "\"", 1);
			dsDL.connect(server, userid, password, "");
        	}
        	else 
		{
            		if (!serverType.equalsIgnoreCase("ICM")) 
			{
				Message.logMessage("[DMAdminMediaUpdate::jspinit] Cannot get library server type from digitalmedia properties file; assuming ICM", 0);
			}
			dsICM = new DKDatastoreICM();
			Message.logMessage("[DMAdminMediaUpdate::jspinit] Connecting to ICM library server \"" + server + 
				"\" as \"" + userid + "/" + password + "\"", 1);
			dsICM.connect(server, userid, password, "");
		}

		Message.logMessage("[DMAdminMediaUpdate.jsp::jspinit] Connected to Library Server",1);	
        }
	catch(DKException exc)
	{
		Message.logMessage("[DMAdminMediaUpdate.jsp::jspinit] DKException : Failed to read digitalmedia properties file or failed to connect to library Server." + exc.toString(),0);
		try
		{
			if (dsDL != null) 
			{
				dsDL.destroy();
			}
			if (dsICM != null) 
			{
				dsICM.destroy();
			}
			Message.logMessage("[DMAdminMediaUpdate.jsp::jspinit] Disconnected from the library server.",1);
			   
	   		//--- Display the error as part of the current HTML page
   			//--- Print a dump of the exception
   			//exc.printStackTrace();
		}
		catch (Exception e)
		{
		
			Message.logMessage("[DMAdminMediaUpdate.jsp::jspinit] Failed to disconnect from the library server.",0);
		   	//--- Display the error as part of the current HTML page
   			//--- Print a dump of the exception
   			//e.printStackTrace();
			
		}
		dsDL = null;
		dsICM = null;
	}
	catch (Exception e)
	{
		Message.logMessage("[DMAdminMediaUpdate.jsp::jspinit] Exception : Failed to read digitalmedia properties file or failed to connect to library Server." + e.toString(),0);
		//--- Display the error as part of the current HTML page   
		//--- Print a dump of the exception
		//e.printStackTrace();
		dsDL = null;
		dsICM = null;
	}
}

public void jspDestroy()
{
	try {
		Message.logMessage("[DMAdminMediaUpdate::jspdestroy] Disconnecting from Library Server",1);
		if (dsDL != null) 
		{
			dsDL.disconnect();		
			dsDL.destroy();
		}
		if (dsICM != null) 
		{
			dsICM.disconnect();		
			dsICM.destroy();
		}
		Message.logMessage("[DMAdminMediaUpdate::jspdestroy] Disconnected from Library Server",1);
	}
	catch (DKException exc)
	{
		Message.logMessage("[DMAdminMediaUpdate::jspdestroy] DKException occured while disconnecting from library server: " + exc.getMessage(),0);
	}
	catch (Exception exc)
	{
		Message.logMessage("[DMAdminMediaUpdate::jspdestroy] Exception occured while disconnecting from library server: " + exc.getMessage(),0);
	}
}
%>

<%
//for guest shoppers, get the storeid,langid and catalog id from the
// request object
if (activeUserID < 1)
{
        if ((storeId == null) || (storeId.equals("")))
        {
                storeId = request.getParameter("storeId");
                if ((storeId == null) || (storeId.equals("")))
                {
                        storeId = (String)request.getAttribute("storeId");
                }

        }
        if ((catalogId == null) || (catalogId.equals("")))
        {
                catalogId = request.getParameter("catalogId");
                if ((catalogId == null) || (catalogId.equals("")))
                {
                        catalogId = (String)request.getAttribute("catalogId");
                }
        }
        if ((languageId == null) || (languageId.equals("")))
        {
                languageId = request.getParameter("langId");
                if ((languageId == null) || (languageId.equals("")))
                {
                        languageId = (String)request.getAttribute("langId");
                }
        }
}
%>

<%
// --------------------------------------------
// Determine the owned lightbox list
// --------------------------------------------
boolean lightboxlist = true; // if there is a lightbox present.

if (activeUserID > 0)
{
        lightboxVector = retrieveLightboxList(request, response);
        String ownedLightboxIDs = extractLightboxIDs(lightboxVector, request,true);
        if ((ownedLightboxIDs.equals("")) || (ownedLightboxIDs == null))
        {
                lightboxlist = false;
        }
}
else
{
        lightboxlist = false;
}
%>


<%
//HttpSession hs = request.getSession();
Vector result = (Vector)session.getValue(SearchMediaConstants.MEDIA_SEARCH_RESULT);
int curimgno = 0;
String imgno = request.getParameter("imageNumber");
if ((imgno != null) && (imgno != ""))
{
        curimgno = Integer.parseInt(imgno);
}
int totalimages = result.size();                        // total images found.
DdoInfo currec = (DdoInfo)result.elementAt(curimgno);

String searchval = request.getParameter(SearchMediaConstants.MEDIA_SEARCH_CM_START + SearchMediaConstants.MEDIA_CM_IMAGE_KEYWORDS);
String message = request.getParameter("message");
String lowresupdate = request.getParameter("lowresupdate");
String mediaupdate = request.getParameter("mediaupdate");
String deletemedia = request.getParameter("deletemedia");

if ( (mediaupdate == null) || (mediaupdate.trim().equals("")) )
        mediaupdate = "true";
String startimage = request.getParameter(SearchMediaConstants.MEDIA_START_IMAGE_NO);
if ((startimage == null) || (startimage.equals("")))
{
        startimage = (String)session.getValue(SearchMediaConstants.MEDIA_START_IMAGE_NO);
        if ((startimage == null) || (startimage.equals("")))
                startimage = "0";
}
int startimg = Integer.parseInt(startimage);



String showdescription = "";
String showkeywords = "";
String showclippricehi = "";
String showclippricelo = "";
String showtitle = "";
String showfilesize = "";
String showimagesize = "";
String showcameraelement = "";
String showcameraspeed = "";
String showera = "";
String showaudio = "";
String showcompression = "";
String imageid = "";
String imageNo = ""; // image id + extension
String imgdir = "";
String duration = "";                   // Image duration.
String cdsku = "";                              // CD SKU.
String clipno = "";                     // clip number (1111SHS-0988)

String showcatvalue = "";
String showsubcatvalue = "";
String showcolor = "";
String showtimeofday = "";
String showintext = "";
String showtimePeriod = "";
String showimageRelease = "";
String showimageRestrictions = "";

String batchstatus = "";
%>

<%
String imagetype = null;                        // Image is Low Res/Video/Acrobat
boolean lowresavailable = false;
boolean thumbavailable = false;
File[] thumbfiles = null;
File[] loresfiles = null;
String lowresext = "";

try
{
	DKDDO curddo = null;
        DKPid pid = new DKPid();
        DKPidXDODL  apid = new DKPidXDODL();
	DKBlobDL xdoDL = null; 
	DKLobICM xdoICM = null;

	// Retrieve the DDO, description & keywords XDOs
        pid.setPrimaryId(currec.getPidString());

	if (serverType.equalsIgnoreCase("DL")) 
	{
	        xdoDL = new DKBlobDL(dsDL);
        	// Retrieve the Description
	        apid.setPartId(MEDIA_PART_ID_DESCRIPTION);
        	apid.setItemId(pid.getPrimaryId());
	        xdoDL.setPidObject(apid);
        	xdoDL.retrieve();
	        showdescription = new String(xdoDL.getContent());
        	// Retrieve the Keywords
	        apid.setPartId(MEDIA_PART_ID_KEYWORDS);
        	apid.setItemId(pid.getPrimaryId());
	        xdoDL.setPidObject(apid);
        	xdoDL.retrieve();
	        Message.logMessage(dmstoretext.getString("DMCOMMON_LOGMESSAGE12") + dmstoretext.getString("DMCOMMON_LOGMESSAGE15"),1);
        	showkeywords = new String(xdoDL.getContent());
	        // Retrieve the data
        	curddo = new DKDDO(dsDL, pid);
	        curddo.retrieve();
	}
	else
	{
		curddo = dsICM.createDDO(currec.getPidString());
		curddo.retrieve(DKConstant.DK_CM_CONTENT_ITEMTREE);
		DKParts dkParts = (DKParts)curddo.getData(curddo.dataId(DKConstant.DK_CM_NAMESPACE_ATTR,DKConstant.DK_CM_DKPARTS));
		dkIterator iter = dkParts.createIterator();
       	    	while(iter.more()) 
		{                      
        		DKDDO part = (DKDDO) iter.next();        
			if (part instanceof DKLobICM) {
				if (((DKLobICM)part).getPartNumber() == MEDIA_PART_ID_DESCRIPTION) 
				{
					xdoICM = (DKLobICM)part;
	        			xdoICM.retrieve();
        				showdescription = new String(xdoICM.getContent());
				}
				else if (((DKLobICM)part).getPartNumber() == MEDIA_PART_ID_KEYWORDS) 
				{
					xdoICM = (DKLobICM)part;
	        			xdoICM.retrieve();
        				showkeywords = new String(xdoICM.getContent());
				}
			}
		}
        	Message.logMessage(dmstoretext.getString("DMCOMMON_LOGMESSAGE12") + dmstoretext.getString("DMCOMMON_LOGMESSAGE15"),1);
	}

        //Tile
        showtitle = (String)curddo.getDataByName(SearchMediaConstants.MEDIA_CM_DESCRIPTION);
        if (showtitle == null)
        	showtitle = "";
        //Hi ClipPrice
        showclippricehi = (String)curddo.getDataByName("clippricehi");
        if (showclippricehi == null)
                showclippricehi = "";
        //Lo ClipPrice
        showclippricelo = (String)curddo.getDataByName("clippricelo");
        if (showclippricelo == null)
                showclippricelo = "";
        //FileSize
        showfilesize = (String)curddo.getDataByName(SearchMediaConstants.MEDIA_CM_FILE_SIZE);
        if (showfilesize == null)
                showfilesize = "";
        //ImageSize
        showimagesize = (String)curddo.getDataByName(SearchMediaConstants.MEDIA_CM_IMAGE_SIZE);
        if (showimagesize == null)
                showimagesize = "";
        //CameraElement
        showcameraelement = (String)curddo.getDataByName(SearchMediaConstants.MEDIA_CM_CAMERA_ELEMENT);
        if (showcameraelement == null)
                showcameraelement = "";
        //CameraSpeed
        showcameraspeed = (String)curddo.getDataByName(SearchMediaConstants.MEDIA_CM_CAMERA_SPEED);
        if (showcameraspeed == null)
                showcameraspeed = "";
        //Era
        showera = (String)curddo.getDataByName(SearchMediaConstants.MEDIA_CM_ERA);
        if (showera == null)
                showera = "";
        //Audio
        showaudio = (String)curddo.getDataByName(SearchMediaConstants.MEDIA_CM_AUDIO);
        if (showaudio == null)
                showaudio = "";
        //Compression
        showcompression = (String)curddo.getDataByName(SearchMediaConstants.MEDIA_CM_COMPRESSION);
        if (showcompression == null)
                showcompression = "";
        //Image ID
        imageid = (String)curddo.getDataByName(SearchMediaConstants.MEDIA_CM_IMAGE_ID);
        // Clip Number
        clipno = (String)curddo.getDataByName(SearchMediaConstants.MEDIA_CM_CLIP_NUMBER);
        if (clipno == null)
                clipno = "";
        // Duration
        duration = (String)curddo.getDataByName(SearchMediaConstants.MEDIA_CM_DURATION);
        if (duration == null)
                duration = "";
        // CD SKU
        cdsku = (String)curddo.getDataByName(SearchMediaConstants.MEDIA_CM_CD_SKU);
        if (cdsku == null)
                cdsku = "";
                
        showcatvalue = (String)curddo.getDataByName("category");
        if (showcatvalue == null)
                showcatvalue = "";

        showsubcatvalue = (String)curddo.getDataByName("subcategory");
        if (showsubcatvalue == null)
                showsubcatvalue = "";

        showcolor = (String)curddo.getDataByName(SearchMediaConstants.MEDIA_CM_IMAGE_COLOR);
        if (showcolor == null)
                showcolor = "";

        showtimeofday = (String)curddo.getDataByName(SearchMediaConstants.MEDIA_CM_TIME_DAY);
        if (showtimeofday == null)
                showtimeofday = "";

        showintext = (String)curddo.getDataByName(SearchMediaConstants.MEDIA_CM_INT_EXT);
        if (showintext == null)
                showintext = "";

        showtimePeriod = (String)curddo.getDataByName(SearchMediaConstants.MEDIA_CM_TIME_PERIOD);
        if (showtimePeriod == null)
                showtimePeriod = "";

        showimageRelease = (String)curddo.getDataByName(SearchMediaConstants.MEDIA_CM_IMAGE_RELEASE);
        if (showimageRelease == null)
                showimageRelease = "";

        showimageRestrictions = (String)curddo.getDataByName(SearchMediaConstants.MEDIA_CM_IMAGE_RESTRICTS);
        if (showimageRestrictions == null)
                showimageRestrictions = "";
                

        imageNo = imageid + "." + currec.getThumbnailType();
        imgdir = imageid.substring(imageid.length() - 2,imageid.length());
        imagetype = showcameraelement;
        if ( (imagetype == null) || (imagetype.equals("")))
                imagetype = "IMAGE";

                try
                {
                
                if ( (mediaupdate != null) && (mediaupdate.equals("true")) )
                {
                        // Check if the low res exists in the custom_mass_loader lowres dir
                        File loresfile = new File(LIBRARY_LOWRES_DIR);
                        loresfiles = loresfile.listFiles(new SameFile(imageid));
                        if (loresfiles != null)
                        {
                                if (loresfiles.length > 0)
                                        lowresavailable = true;
                        }
        
                        // If low res not available then copy the low res from the lightbox/jsp/lowres to custom_mass_loader lowres dir
                        if (!lowresavailable)
                        {
				if (serverType.equalsIgnoreCase("DL")) 
				{
                                	apid.setPartId(MEDIA_PART_ID_100K);
                        		apid.setItemId(pid.getPrimaryId());
                        		xdoDL.setPidObject(apid);
                        		xdoDL.retrieve();
                                	int contenttype = xdoDL.getContentClass();
					lowresext = com.ibm.commerce.digitalmedia.mediafolder.utils.Utility.getFileExtension(contenttype);
                                	xdoDL.getContentToClientFile(LIBRARY_LOWRES_DIR + "/" + imageid + "." + lowresext,1);
				}
				else
				{
					DKParts dkParts = (DKParts)curddo.getData(curddo.dataId(DKConstant.DK_CM_NAMESPACE_ATTR,DKConstant.DK_CM_DKPARTS));
					dkIterator iter = dkParts.createIterator();
       	    				while(iter.more()) 
					{                      
        					DKDDO part = (DKDDO) iter.next();        
						if (part instanceof DKLobICM) {
							if (((DKLobICM)part).getPartNumber() == MEDIA_PART_ID_100K) 
							{
								xdoICM = (DKLobICM)part;
	        						xdoICM.retrieve();
								String mimetype = xdoICM.getMimeType();
								lowresext = com.ibm.commerce.digitalmedia.mediafolder.utils.Utility.getFileExtension(mimetype);
                                				xdoICM.getContentToClientFile(LIBRARY_LOWRES_DIR + "/" + imageid + "." + lowresext,1);
							}
						}
					}
				}	
                                lowresavailable = true;
                        }
        
                        // check if the thumbnail exists in the custom_mass_loader thumbnail dir
                
                        File thumbfile = new File(LIBRARY_THUMB_DIR);
                        thumbfiles = thumbfile.listFiles(new SameFile(imageid));
                        if (thumbfiles != null)
                        {
                                if (thumbfiles.length > 0)
                                        thumbavailable = true;
                        }
                }
                }
                catch (Exception e)
                {
                        System.out.println("[DMAdminMediaUpdate] Exception " + e);
                }

}
catch (Exception e)
{
   //--- Set the message
   String msg = dmstoretext.getString("DMCOMMON_TEXT1") + e.toString();

   //--- Log the message
   Message.logMessage(msg,0);
   %>
      <br><b><%=dmstoretext.getString("DMCOMMON_TEXT1")%></b>
          <%

   //--- Display the error as part of the current HTML page
   if (msg.indexOf("DGL0391") != -1)
   {
   %>
        <%=dmstoretext.getString("DMCOMMON_TEXT7")%>
   <%
   }
   if (msg.indexOf("3016") != -1)
   {
   %>
   <%=dmstoretext.getString("DMCOMMON_TEXT8")%>
   <%
   }
   %>

   <%

   //--- Print a dump of the exception
   //e.printStackTrace();
}
%>

<%
// check if the xml file exists
String incomingdirstring = LIBRARY_INCOMING_DIR;
File xmlFile = new File(incomingdirstring + FSEP + imageid + ".xml");
File tmpFile = new File(incomingdirstring + FSEP + imageid + ".tmp");
if ( (xmlFile.exists()) || (tmpFile.exists()) )
{
        batchstatus = "U";
}

%>

<%
//============================
// EXCEPTION HANDLING -- BEGIN
//============================
try 
{ 
%>




<%
//-----------------
// INCLUDE:  HEADER
//-----------------
%>
<jsp:include page="DMHeader.jsp" flush="true"/>


<%
//--------------------------------
// INCLUDE:  MEDIACOMMERCE SIDEBAR
//--------------------------------
%>
<jsp:include page="DMSidebar.jsp" flush="true"/>
        
<%
//---------------
// INCLUDE:  BODY
//---------------
%>


<%
//=============================================================================
//========================= SECTION:  JAVA SCRIPLET ===========================
//=============================================================================
%>

<% //Import classes %>
<%@ page import = "java.util.*" %>
<%@ page import = "java.sql.*" %>
<%@ page import = "java.lang.*" %>
<%@ page import = "com.ibm.commerce.digitalmedia.mediafolder.utils.*" %>
<%@ page import = "com.ibm.commerce.digitalmedia.mediafolder.homes.*" %>

<%
        // Initialize the homes.
        String lowrespath = "";
        //lowrespath = lowrespath.replace('\\','/');
        
        
        String compPath = LIBRARY_THUMB_URL + lowrespath;

        String imagePath = LIBRARY_THUMB_URL;

%>

<%
//=============================================================================
//============================ JAVASCRIPT FUNCTIONS ===========================
//=============================================================================
%>

<SCRIPT language="javascript">

// Check for numeric value
function IsNumeric(strString)
{
   var strValidChars = "0123456789.";
   var strChar;
   var result = true;

   //  test strString consists of valid characters listed above
   for (i = 0; i < strString.length && result == true; i++)
      {
      strChar = strString.charAt(i);
      if (strValidChars.indexOf(strChar) == -1)
         {
         result = false;
         }
      }
   return result;
}

function CheckData(strString)
{
   var strChar;
   var result = true;

   //  test strString consists of valid characters listed above
   for (i = 0; i < strString.length && result == true; i++)
      {
      strChar = strString.charAt(i);
      if (strChar.indexOf("&") != -1)
         {
         result = false;
                 break;
         }
      }
   return result;
}

// Replace single apostrophe with double
function ReplaceApos(strString)
{
        var strChar;
        var resultString = "";

   //  test strString consists of valid characters listed above
   for (i = 0; i < strString.length; i++)
   {
        strChar = strString.charAt(i);
        if (strChar.indexOf("'") != -1)
        {
          resultString = resultString + "''";
        }
                else
                {
                        resultString = resultString + strChar;
                }
   }
   return resultString;
}



// ---------------------------
// Inline JavaScript Functions
// ---------------------------
function go_to_lib(url, user_id, lib_num) 
{
   var form = document.reloadPageForm;
   
   //--- submit form
   form.action = url;
   if (user_id != null && user_id != "") 
   {
      form.<%=com.ibm.commerce.digitalmedia.mediafolder.utils.Utility.NVP_USER_ID%>.value = user_id;
   }
   if (lib_num != null && lib_num != "") 
   {
      form.lib_num.value = lib_num;
   }
   form.submit();
}

function validatedata() {
        var f = document.updateImage;
        if (trimAllSpaces(f.updateimageDesc.value) == "")
        {
                alert('<%=dmstoretext.getString("DETAILS_NODESCRIPTION")%>');
                f.updateimageDesc.focus();
        return false;
        }
        else if (!CheckData(f.updateimageDesc.value))
        {
                alert('<%=dmstoretext.getString("DETAILS_AMPERNOTALLOWED")%>');
                f.updateimageDesc.focus();
        return false;
        }       
        else
                f.updateimageDesc.value = ReplaceApos(f.updateimageDesc.value);
                
        if (trimAllSpaces(f.updateclipNumber.value) == "")
        {
                alert('<%=dmstoretext.getString("DETAILS_NOCLIPNUMBER")%>');
                f.updateclipNumber.focus();
        return false;
        }       
        else if (!CheckData(f.updateclipNumber.value))
        {
                alert('<%=dmstoretext.getString("DETAILS_AMPERNOTALLOWED")%>');
                f.updateclipNumber.focus();
        return false;
        }       
        
        if (trimAllSpaces(f.updateclippricehi.value) == "")
        {
                alert('<%=dmstoretext.getString("DETAILS_NOHIGHPRICE")%>');
                f.updateclippricehi.focus();
        return false;
        }
        else
        {
                if (!IsNumeric(f.updateclippricehi.value))
                {
                        alert('<%=dmstoretext.getString("DETAILS_NOCHARINHIGHPRICE")%>');
                        f.updateclippricehi.focus();
                return false;
                }
        }
        if (trimAllSpaces(f.updateclippricelo.value) == "")
        {
                alert('<%=dmstoretext.getString("DETAILS_NOLOWPRICE")%>');
                f.updateclippricelo.focus();
        return false;
        }
        else
        {
                if (!IsNumeric(f.updateclippricelo.value))
                {
                        alert('<%=dmstoretext.getString("DETAILS_NOCHARINLOWPRICE")%>');
                        f.updateclippricelo.focus();
                return false;
                }
        }

        if (trimAllSpaces(f.updateimageKeywords[0].value) == "")
        {
                alert('<%=dmstoretext.getString("DETAILS_NOKEYWORDS")%>');
                f.updateimageKeywords[0].focus();
        return false;
        }
        else if (!CheckData(f.updateimageKeywords[0].value))
        {
                alert('<%=dmstoretext.getString("DETAILS_AMPERNOTALLOWED")%>');
                f.updateimageKeywords[0].focus();
        return false;
        }
        else
                f.updateimageKeywords[0].value = ReplaceApos(f.updateimageKeywords[0].value);
                
        if (!CheckData(f.updatecategory.value))
        {
                alert('<%=dmstoretext.getString("DETAILS_AMPERNOTALLOWED")%>');
                f.updatecategory.focus();
        return false;
        }
        if (!CheckData(f.updatesubcategory.value))
        {
                alert('<%=dmstoretext.getString("DETAILS_AMPERNOTALLOWED")%>');
                f.updatesubcategory.focus();
        return false;
        }

        f.updatecategory.value = ReplaceApos(f.updatecategory.value);
        f.updatesubcategory.value = ReplaceApos(f.updatesubcategory.value);
        return (true);
}

function save_changes(formname) 
{
        //--- submit form
        if (validatedata())
        {
                formname.submit();      
        }       
}  

function delete_changes(formname) 
{
        //--- submit form
        //if (validatedata())
        //{
        formname.actionmedia.value = "<%=LoaderUtility.getProperty("WCDM.LOADERDELETEACTION")%>";
        formname.submit();      
        //}     
} 

function viewimage(prodsku,curimgno,lightboxlist)
{
        document.ViewDetail.partNumber.value=prodsku;
        document.ViewDetail.imageNumber.value=curimgno;
        if (lightboxlist)
        {

        }
        document.ViewDetail.submit();
}

</SCRIPT>


<%
//=============================================================================
//============================ MAIN PAGE INFORMATION ==========================
//=============================================================================
%>

<td valign="top">
        <table border="0" cellpadding="0" cellspacing="0" width="595">
                <!--body header row1-->
                <tr>
        <td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="30" border="0" alt=""></td>
                <td>    
                <table border="0" cellpadding="0" cellspacing="0" width="521">
                        <tr>
                        <td width="35" colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="12" border="0" alt=""></td>
                        </tr>
                        <tr>
                        <td valign="top">
                        <%
                        if ( (deletemedia != null) && (deletemedia.equalsIgnoreCase("true")) )
                        {
                        %>
                        <img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/library/deletemediaheader.gif" alt="" border="0">
                        <%
                        }
                        else
                        {
                        %>
                        <img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/library/vieweditdetail.jpg" alt="" border="0">
                        <%
                        }
                        %>
                        </td>
                        <td align="right" valign="top">
                        &nbsp;
                        </td>
                        </tr>
                        <tr>
                        <td width="35" colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="5" border="0" alt=""></td>
                        </tr>                   
                </table>
                </td>
                <td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="10" border="0" alt=""></td>
                </tr>   
                <!--end body header row1-->
                <!--body line row2-->           
                <tr>
            <td colspan="3" bgcolor="#CCCCCC"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" border="0" alt=""></td>
                </tr>
                <!--end body line row2-->               
                <!--main body content row3-->
                <%                      
                if (!((batchstatus == null)  || ((batchstatus.trim().equals(""))))) {
                %>              
                <tr>
                <td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="35" border="0" alt=""></td>
                <td>
<FONT color="ff0000"><strong><%=dmstoretext.getString("DETAILS_SYSTEMUPDATINGMESS")%></strong></FONT>
                </td>
                </tr>
                
                <%}%>
                
                <%
                if ( (message != null) && (message.trim().equalsIgnoreCase("success")) )
                {
                        if (lowresupdate != null)
                        {
                        %>
                                <tr>
                                <td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="35" border="0" alt=""></td>
                                <td><FONT color="ff0000"><strong>
                                
                                <script>
                function viewadmindetail()
                {
                        document.ViewDetail.partNumber.value=<%=imageid%>;
                        document.ViewDetail.imageNumber.value=<%=imgno%>;
                        document.ViewDetail.action="<%=LIBRARY_ADMIN_UPDATE_URL%>?mediaupdate=<%=mediaupdate%>";
                        document.ViewDetail.submit();
                }
                </script>
                                
                                
                <%
                                if (lowresupdate.trim().equalsIgnoreCase("no"))
                                {
                                        %>
                                        <%=dmstoretext.getString("DMADMINMEDIAUPDATE_THUMB_REPLACE")%>
                                        <%
                                }
                                else if (lowresupdate.trim().equalsIgnoreCase("yes"))
                                {
                                        %>
                                                <%=dmstoretext.getString("DMADMINMEDIAUPDATE_LOW_REPLACE")%>
                                        <%
                                }
                                else if (lowresupdate.trim().equalsIgnoreCase("auto"))
                                {
                                        %>
                                                <%=dmstoretext.getString("DMADMINMEDIAUPDATE_THUMB_REGENERATE")%>
                                        <%
                                }
                                %>
                                <!-- <br>Click the link to  <a href="javascript:viewadmindetail();">Refresh </a> -->
                                </strong></FONT></td> 
                                </tr>

                                <%
                        }
                }
                %>
                
                
                <tr valign="top">
                        <td><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="10" height="1"></td>
                        <td height="20"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="12"></td>
                </tr>
                
                <tr>
                <td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="35" border="0" alt=""></td>
                <td>                            
                
                
                <!--Start of outside table for alignment purposes-->
                <table border="0" cellspacing="0" cellpadding="0">
                 <tr>
                  <td>
                   <table width="520">
                        <td colspan="1" border="0">
                                        <%@ include file="DMQuickTime.inc" %>
                                          <%@ include file="DMSearchPlayIt.inc" %>
                                        <a href="javascript:play_it('<%=MEDIA_THUMBNAIL_PATH%>/<%=imgdir%>/<%=imageNo%>','<%=clipno%>','<%=DL_RES_100%>','<%=imageid%>','<%=imagetype.toUpperCase()%>');">
                                        
                                        <%
                                                        if ( (mediaupdate != null) && (mediaupdate.equals("true")) )
                                                        {
                                                                
                                                                if (thumbavailable)
                                                                {
                                                                        %>
                                                                                <img src="<%=LIBRARY_THUMBRES_URL%>/<%=thumbfiles[0].getName()%>" alt="" border="0">
                                                                                
                                                                        <%
                                                                }
                                                                else
                                                                {
                                                                        %>
                                                                                <img src="<%=MEDIA_THUMBNAIL_PATH%>/<%=imgdir%>/<%=imageNo%>" alt="<%=imageNo%>" border="0">
                                                                        <%
                                                                }
                                                        }
                                                        else
                                                        {
                                                        %>
                                                        <img src="<%=MEDIA_THUMBNAIL_PATH%>/<%=imgdir%>/<%=imageNo%>" alt="<%=imageNo%>" border="0">
                                                        <%
                                                        }
                                                        %>
                                        </a>
                                        
                                        </td>
                                        <td width="170" border="0"></td>
                                        <td border="1">
                                        <%if ((batchstatus == null)  || ((batchstatus.trim().equals(""))))
                                           {
                                        %>
                                        <table border="0">
                                        <form name="libthumbform" action="<%=LIBRARY_ADMIN_UPLOAD_URL%>">
                        <input type="hidden" name="<%=com.ibm.commerce.digitalmedia.mediafolder.utils.Utility.NVP_USER_ID%>" value="<%=activeUserID%>">
                        <input type="hidden" name="imageid" value="<%=imageid%>">
                        <input type="hidden" name="imageNumber" value="<%=imgno%>">
                        <input type="hidden" name="lowresupdate" value="NO">
                        </form>
<form name="createthumbform" action="<%=LIBRARY_ADMIN_UPLOAD_URL%>">
                        <input type="hidden" name="<%=com.ibm.commerce.digitalmedia.mediafolder.utils.Utility.NVP_USER_ID%>" value="<%=activeUserID%>">
                        <input type="hidden" name="imageid" value="<%=imageid%>">
                        <input type="hidden" name="imageNumber" value="<%=imgno%>">
                        <input type="hidden" name="lowresupdate" value="auto">          
                        </form>
                                        <%
                                                if ( (mediaupdate != null) && (mediaupdate.equals("true")) )
                                                {
                                        %>
                                         
                                          <tr>
                                           <td><%=dmstoretext.getString("THUMBNAILS")%></td>
                                           <td>
                                                        <a href="javascript:document.libthumbform.lowresupdate.value='NO';document.libthumbform.submit();"><%=dmstoretext.getString("REPLACE")%></a>
                                                </td>
                                          </tr>
                                          <%
                                          if (lowresavailable)
                                          {
                                          %>
                                          <tr>
                                           <td></td>
                                           <td>
                                                <a href="javascript:document.createthumbform.submit();"><%=dmstoretext.getString("GENERATE")%></a>
                                                </td>
                                          </tr>
                                          <%
                                          }
                                          %>
                                          <tr><td colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="2" border="0" alt=""></td></tr>
                                                <tr><td colspan="2" bgcolor="#CCCCCC"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" border="0" alt=""></td></tr>
                        <tr><td colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="2" border="0" alt=""></td></tr>
                                          <%
                                                }
                                                %>
                                                
                                           <tr>
                                           <td><%=dmstoretext.getString("PREVIEW")%></td>
                                           <td>
                                           <%
                                           if (lowresavailable)
                                           {
                                                        if ( (loresfiles != null) && (loresfiles.length > 0) )
                                                        {
                                                        %>
                                                                <a href="javascript:play_it_direct('<%=LIBRARY_LOWRES_URL%>/<%=loresfiles[0].getName()%>');">
                                                        <%
                                                        }
                                                        else
                                                        {
                                                        %>
                                                                <a href="javascript:play_it_direct('<%=LIBRARY_LOWRES_URL%>/<%=imageid%>.<%=lowresext%>');">
                                                        <%
                                                        }
                                           
                                           }
                                           else
                                           {
                                           %>
                                                   <a href="javascript:play_it('<%=MEDIA_THUMBNAIL_PATH%>/<%=imgdir%>/<%=imageNo%>','<%=clipno%>','<%=DL_RES_100%>','<%=imageid%>','<%=imagetype.toUpperCase()%>');">
                                           <%
                                           }
                                           %>
                                           
                                           
                                           <%=dmstoretext.getString("VIEW")%>
                                           </a>
                                           </td>
                                          </tr>
                                          <%
                                                if ( (mediaupdate != null) && (mediaupdate.equals("true")) )
                                                {
                                        %>
                                          <tr>
                                           <td></td>
                                           <td> 
                                                <a href="javascript:document.libthumbform.lowresupdate.value='YES';document.libthumbform.submit();"><%=dmstoretext.getString("REPLACE")%></a>
                                        </td>
                                          </tr>
                                          <%
                                          }
                                          %>
                                                
                                          
                                        </table>
                                        
                                                
                                                <%}%>
                                                
                                   </td>
                   </table>
              </td>
                 </tr>

                 
                  <tr>  
                  <td>
                  
                <table border="0" cellspacing="0" height="0" width="450" cellpadding="0">
                <tr>
                <td bgcolor="#cccccc" width="1" height="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="1"></td>
                <td bgcolor="#cccccc" colspan="5" height="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="1"></td>
                <td bgcolor="#cccccc" width="10" height="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="2"></td>
        </tr>
        <tr>
                <td bgcolor="#cccccc" width="1" height="1050"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="1"></td>
                <td width="8" height="1050"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="8" height="25"></td>
                <td valign="top" colspan="4" height="1050"> 
                        <table border="0" cellspacing="0" cellpadding="0" width="450">
                        <tr>
                        <td colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                </tr>
       
                <tr>
                        <td colspan="2" height="3"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                </tr>
                <tr valign="top">
                        <td colspan="2">
                                                <table cellspacing="0" cellpadding="0" width="400">
                                                <form name="updateImage" method="post" action="<%=LIBRARY_ADMIN_UPDATE_SUCCESS_URL%>">
                                                <input type="hidden" name="updateimageID" value="<%=imageid%>">
                                                <input type="hidden" name="message" value="">
                                                <input type="hidden" name="errorurl" value="<%=ERROR_HANDLER_JSP%>">
                                                <input type="hidden" name="<%=com.ibm.commerce.digitalmedia.mediafolder.utils.Utility.NVP_URL%>" value="<%=LIBRARY_IMAGE_DETAILS_JSP%>">
                                                <input type="hidden" name="<%=com.ibm.commerce.digitalmedia.mediafolder.utils.Utility.NVP_USER_ID%>" value="<%=activeUserID%>">
                                                <input type="hidden" name="mediaupdate" value="<%=mediaupdate%>">
                                                <input type="hidden" name="actionmedia" value="UPDATE">
                                                
                                            <tr>
                                <td colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="150" height="1"></td>
                                    <td><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif"  height="6"></td>
                                    <td><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="25" height="1"></td>
                                    <td><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="300" height="8"></td>
                                </tr>

                                                <tr>
                                        <td colspan="2"><b><font face="Arial, Helvetica, sans-serif" size="1"><%=dmstoretext.getString("DETAILS_IMAGE_ID")%></font></b></td>
                            <td></td><td></td>
                                    <td> <b><font face="Arial, Helvetica, sans-serif" size="1">
                                                        <%=imageid%>
                                                        </font></b></td>
                                </tr>
                                <tr>
                                        <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                        </tr>
                                        
                        <tr>
                                <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                                <tr>
                                        <td colspan="2" valign="top"><b><font face="Arial, Helvetica, sans-serif" size="1"><font color=red>*</font><%=dmstoretext.getString("DETAILS_DESCRIPTION")%></font></b></td>
                                    <td></td>
                                                        <td><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/but_help_form.gif" width="15" height="15"></td>
                                    <td>
                                        <textarea name="updateimageDesc" rows="3" cols="20"><%=showdescription%></textarea>
                                    </td>
                                </tr>
                                                <tr>
                                        <td colspan="2"><b><font face="Arial, Helvetica, sans-serif" size="1"><%=dmstoretext.getString("DETAILS_CATEGORY")%></font></b></td>
                                    <td></td><td></td>
                                    <td>
                                                        
                                                                <script language="javascript"> <!--
                                                        if (isMac && !isIE5)
                                                                {
                                                                    if (isNavigator) {
                                                                        document.write('<input type=\"text\" name=\"updatecategory\" size=\"35\" value=\"<%=showcatvalue%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                    } else {
                                                                        document.write('<input type=\"text\" name=\"updatecategory\" size=\"25\" value=\"<%=showcatvalue%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                        }
                                                                }
                                                                else
                                                                {
                                                                         if (isNavigator) {
                                                                           document.write('<input type=\"text\" name=\"updatecategory\" size=\"15\" value=\"<%=showcatvalue%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                        } else {
                                                                                document.write('<input type=\"text\" name=\"updatecategory\" size=\"20\" value=\"<%=showcatvalue%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                }
                                                            }
                                                        //-->
                                                                </script>
                                    </td>
                                </tr>
                                                <tr>
                                        <td colspan="2"><b><font face="Arial, Helvetica, sans-serif" size="1"><%=dmstoretext.getString("DETAILS_SUBCATEGORY")%></font></b></td>
                                    <td></td><td></td>
                                    <td>
                                                        
                                                                <script language="javascript"> <!--
                                                        if (isMac && !isIE5)
                                                                {
                                                                    if (isNavigator) {
                                                                        document.write('<input type=\"text\" name=\"updatesubcategory\" size=\"35\" value=\"<%=showsubcatvalue%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                    } else {
                                                                        document.write('<input type=\"text\" name=\"updatesubcategory\" size=\"25\" value=\"<%=showsubcatvalue%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                        }
                                                                }
                                                                else
                                                                {
                                                                         if (isNavigator) {
                                                                           document.write('<input type=\"text\" name=\"updatesubcategory\" size=\"15\" value=\"<%=showsubcatvalue%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                        } else {
                                                                                document.write('<input type=\"text\" name=\"updatesubcategory\" size=\"20\" value=\"<%=showsubcatvalue%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                }
                                                            }
                                                        //-->
                                                                </script>                                       
                                    </td>
                                </tr>
                                        
                                                
                                                <tr>
                                                
                                        <td colspan="2"><b><font face="Arial, Helvetica, sans-serif" size="1"><font color=red>*</font><%=dmstoretext.getString("DETAILS_CLIPNUMBER")%></font></b></td>
                                    <td></td><td></td>
                                    <td>                                                                
                                                                <script language="javascript"> <!--
                                                        if (isMac && !isIE5)
                                                                {
                                                                    if (isNavigator) {
                                                                        document.write('<input type=\"text\" name=\"updateclipNumber\" size=\"15\" value=\"<%=clipno%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                    } else {
                                                                        document.write('<input type=\"text\" name=\"updateclipNumber\" size=\"9\" value=\"<%=clipno%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                        }
                                                                }
                                                                else
                                                                {
                                                                         if (isNavigator) {
                                                                           document.write('<input type=\"text\" name=\"updateclipNumber\" size=\"8\" value=\"<%=clipno%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                        } else {
                                                                                document.write('<input type=\"text\" name=\"updateclipNumber\" size=\"10\" value=\"<%=clipno%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                }
                                                            }
                                                        //-->
                                                                </script>                                       
                                    </td>
                                </tr>
                                                <tr>
                                        <td colspan="2"><b><font face="Arial, Helvetica, sans-serif" size="1"><font color=red>*</font><%=dmstoretext.getString("HIGH_RES_CLIP_PRICE")%></font></b></td>
                                    <td></td><td></td>
                                    <td>
                                                        
                                                                <script language="javascript"> <!--
                                                        if (isMac && !isIE5)
                                                                {
                                                                    if (isNavigator) {
                                                                        document.write('<input type=\"text\"  name=\"updateclippricehi\" size=\"15\" value=\"<%=showclippricehi%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                    } else {
                                                                        document.write('<input type=\"text\" name=\"updateclippricehi\" size=\"9\" value=\"<%=showclippricehi%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                        }
                                                                }
                                                                else
                                                                {
                                                                         if (isNavigator) {
                                                                           document.write('<input type=\"text\" name=\"updateclippricehi\" size=\"8\" value=\"<%=showclippricehi%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                        } else {
                                                                                document.write('<input type=\"text\" name=\"updateclippricehi\" size=\"10\" value=\"<%=showclippricehi%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                }
                                                            }
                                                        //-->
                                                                </script>                                       
                                    </td>
                                </tr>
                                                <tr>
                                        <td colspan="2"><b><font face="Arial, Helvetica, sans-serif" size="1"><font color=red>*</font><%=dmstoretext.getString("LOW_RES_CLIP_PRICE")%></font></b></td>
                                    <td></td><td></td>
                                    <td>
                                                                <script language="javascript"> <!--
                                                        if (isMac && !isIE5)
                                                                {
                                                                    if (isNavigator) {
                                                                        document.write('<input type=\"text\" name=\"updateclippricelo\" size=\"15\" value=\"<%=showclippricelo%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                    } else {
                                                                        document.write('<input type=\"text\" name=\"updateclippricelo\" size=\"9\" value=\"<%=showclippricelo%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                        }
                                                                }
                                                                else
                                                                {
                                                                         if (isNavigator) {
                                                                           document.write('<input type=\"text\" name=\"updateclippricelo\" size=\"8\" value=\"<%=showclippricelo%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                        } else {
                                                                                document.write('<input type=\"text\" name=\"updateclippricelo\" size=\"10\" value=\"<%=showclippricelo%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                }
                                                            }
                                                        //-->
                                                                </script>
                                    </td>
                                </tr>

                                                <tr>
                                        <td colspan="2"><b><font face="Arial, Helvetica, sans-serif" size="1"><%=dmstoretext.getString("FILE_SIZE")%></font></b></td>
                                    <td></td><td></td>
                                    <td>
                                                        
                                                                <script language="javascript"> <!--
                                                        if (isMac && !isIE5)
                                                                {
                                                                    if (isNavigator) {
                                                                        document.write('<input type=\"text\" name=\"updatefileSize\" size=\"15\" value=\"<%=showfilesize%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                    } else {
                                                                        document.write('<input type=\"text\" name=\"updatefileSize\" size=\"9\" value=\"<%=showfilesize%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                        }
                                                                }
                                                                else
                                                                {
                                                                         if (isNavigator) {
                                                                           document.write('<input type=\"text\" name=\"updatefileSize\" size=\"8\" value=\"<%=showfilesize%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                        } else {
                                                                                document.write('<input type=\"text\" name=\"updatefileSize\" size=\"10\" value=\"<%=showfilesize%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                }
                                                            }
                                                        //-->
                                                                </script>                                   
                                    </td>
                                </tr>
                                                        <tr>
                                        <td colspan="2"><b><font face="Arial, Helvetica, sans-serif" size="1"><%=dmstoretext.getString("IMAGE_SIZE")%></font></b></td>
                                    <td></td><td></td>
                                    <td>                                                        
                                                                <script language="javascript"> <!--
                                                        if (isMac && !isIE5)
                                                                {
                                                                    if (isNavigator) {
                                                                        document.write('<input type=\"text\" name=\"updateimageSize\" size=\"15\" value=\"<%=showimagesize%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                    } else {
                                                                        document.write('<input type=\"text\" name=\"updateimageSize\" size=\"9\" value=\"<%=showimagesize%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                        }
                                                                }
                                                                else
                                                                {
                                                                         if (isNavigator) {
                                                                           document.write('<input type=\"text\" name=\"updateimageSize\" size=\"8\" value=\"<%=showimagesize%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                        } else {
                                                                                document.write('<input type=\"text\" name=\"updateimageSize\" size=\"10\" value=\"<%=showimagesize%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                }
                                                            }
                                                        //-->
                                                                </script>                                       
                                    </td>
                                </tr>
                                                                                                <tr>
                                        <td colspan="2"><b><font face="Arial, Helvetica, sans-serif" size="1"><%=dmstoretext.getString("DETAILS_COMPRESSION")%></font></b></td>
                                    <td></td><td></td>
                                    <td>                                                        
                                                                <script language="javascript"> <!--
                                                        if (isMac && !isIE5)
                                                                {
                                                                    if (isNavigator) {
                                                                        document.write('<input type=\"text\" name=\"updatecompression\" size=\"15\" value=\"<%=showcompression%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                    } else {
                                                                        document.write('<input type=\"text\" name=\"updatecompression\" size=\"9\" value=\"<%=showcompression%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                        }
                                                                }
                                                                else
                                                                {
                                                                         if (isNavigator) {
                                                                           document.write('<input type=\"text\" name=\"updatecompression\" size=\"8\" value=\"<%=showcompression%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                        } else {
                                                                                document.write('<input type=\"text\" name=\"updatecompression\" size=\"10\" value=\"<%=showcompression%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                }
                                                            }
                                                        //-->
                                                                </script>                                       
                                    </td>
                                </tr>
                                                

                                <tr>
                                        <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                                
                        <tr>
                            <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                                <tr>
                                    <td colspan="2"><b><font face="Arial, Helvetica, sans-serif" size="1"><%=dmstoretext.getString("ERA")%></font></b></td>
                                    <td></td>
                                    <td><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/but_help_form.gif" width="15" height="15"></td>
                                    <td>
                                        <select name="updateera" size="1">
                                    <option value=""><%=dmstoretext.getString("DETAILS_NONE")%></option>
                                    <option value="<%=dmstoretext.getString("DETAILS_HISTORICAL")%>"><%=dmstoretext.getString("DETAILS_HISTORICAL")%></option>
                                    <option value="<%=dmstoretext.getString("DETAILS_CONTEMPORARY")%>"><%=dmstoretext.getString("DETAILS_CONTEMPORARY")%></option>
                                </select>
                                                                                                                        <script language="javascript">
                                                                var selectedEra = "<%=showera%>";
                                                                var x;
                                                                for(x=0;x<document.updateImage.updateera.options.length;x++)
                                                                {
                                                                        //alert(document.form1.bkgrnd.options.length);
                                                                        if(document.updateImage.updateera.options[x].value == selectedEra) {
                                                                                document.updateImage.updateera.options[x].selected = true;
                                                                                }
                                                                }
                                                                </script>
                                        </td>
                                </tr>
                                                                                

                                <tr>
                                        <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                                
                        <tr>
                            <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                                <tr>
                                    <td colspan="2"><b><font face="Arial, Helvetica, sans-serif" size="1"><%=dmstoretext.getString("COLOR")%></font></b></td>
                                    <td></td>
                                    <td><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/but_help_form.gif" width="15" height="15"></td>
                                    <td>
                                        <select name="updateimageColor" size="1">
                                    <option value="" ><%=dmstoretext.getString("DETAILS_NONE")%></option>
                                    <option value="B" ><%=dmstoretext.getString("DETAILS_BLACKANDWHITE")%></option>
                                    <option value="C"><%=dmstoretext.getString("COLOR")%></option>
                                </select>
                                                                                                                                <script language="javascript">
                                                                var selectedImageColor = "<%=showcolor%>";
                                                                var x;
                                                                for(x=0;x<document.updateImage.updateimageColor.options.length;x++)
                                                                {
                                                                        //alert(document.form1.bkgrnd.options.length);
                                                                        if(document.updateImage.updateimageColor.options[x].value == selectedImageColor) {
                                                                                document.updateImage.updateimageColor.options[x].selected = true;
                                                                                }
                                                                }
                                                                </script>
                                        </td>
                                </tr>
                                <tr>
                                        <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                                                
                                <tr>
                                        <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                       <tr>
                                <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                                                <tr>
                                    <td colspan="2"><b><font face="Arial, Helvetica, sans-serif" size="1"><%=dmstoretext.getString("DETAILS_TIMEODAY")%></font></b></td>
                                    <td></td>
                                    <td><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/but_help_form.gif" width="15" height="15"></td>
                                    <td>
                                        <select name="updatetimeOfDay" size="1">
                                    <option value=""><%=dmstoretext.getString("DETAILS_NONE")%></option>
                                    <option value="<%=dmstoretext.getString("DETAILS_DAY")%>"><%=dmstoretext.getString("DETAILS_DAY")%></option>
                                    <option value="<%=dmstoretext.getString("DETAILS_NIGHT")%>"><%=dmstoretext.getString("DETAILS_NIGHT")%></option>
                                    <option value="<%=dmstoretext.getString("DETAILS_SUNRISESET")%>"><%=dmstoretext.getString("DETAILS_SUNRISESET")%></option>
                                    <option value="<%=dmstoretext.getString("DETAILS_DUSKDAWN")%>"><%=dmstoretext.getString("DETAILS_DUSKDAWN")%></option>
                                </select>
                                                                                                                                <script language="javascript">
                                                                var selectedTime = "<%=showtimeofday%>";
                                                                var x;
                                                                for(x=0;x<document.updateImage.updatetimeOfDay.options.length;x++)
                                                                {
                                                                        //alert(document.form1.bkgrnd.options.length);
                                                                        if(document.updateImage.updatetimeOfDay.options[x].value == selectedTime) {
                                                                                document.updateImage.updatetimeOfDay.options[x].selected = true;
                                                                                }
                                                                }
                                                                </script>
                                        </td>
                                </tr>
                                <tr>
                                        <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                       <tr>
                                <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
<tr>
                                    <td colspan="2"><b><font face="Arial, Helvetica, sans-serif" size="1"><%=dmstoretext.getString("DETAILS_INTEXT")%></font></b></td>
                                    <td></td>
                                    <td><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/but_help_form.gif" width="15" height="15"></td>
                                    <td>
                                        <select name="updateinteriorExterior" size="1">
                                    <option value=""><%=dmstoretext.getString("DETAILS_NONE")%></option>
                                    <option value="<%=dmstoretext.getString("DETAILS_INTERIOR")%>"><%=dmstoretext.getString("DETAILS_INTERIOR")%></option>
                                    <option value="<%=dmstoretext.getString("DETAILS_EXTERIOR")%>"><%=dmstoretext.getString("DETAILS_EXTERIOR")%></option>
                                </select>
                                                                                                                                <script language="javascript">
                                                                var selectedIntExt = "<%=showintext%>";
                                                                var x;
                                                                for(x=0;x<document.updateImage.updateinteriorExterior.options.length;x++)
                                                                {
                                                                        //alert(document.form1.bkgrnd.options.length);
                                                                        if(document.updateImage.updateinteriorExterior.options[x].value == selectedIntExt) {
                                                                                document.updateImage.updateinteriorExterior.options[x].selected = true;
                                                                                }
                                                                }
                                                                </script>
                                        </td>
                                </tr>
                                <tr>
                                        <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                       <tr>
                                <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
<tr>
                                    <td colspan="2"><b><font face="Arial, Helvetica, sans-serif" size="1"><%=dmstoretext.getString("DETAILS_CAMSPEED")%></font></b></td>
                                    <td></td>
                                    <td><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/but_help_form.gif" width="15" height="15"></td>
                                    <td>
                                        <select name="updatecameraSpeed" size="1">
                                    <option value=""><%=dmstoretext.getString("DETAILS_NONE")%></option>
                                    <option value="S"><%=dmstoretext.getString("DETAILS_SLOWMOTION")%></option>
                                    <option value="R"><%=dmstoretext.getString("DETAILS_REALTIME")%></option>
                                    <option value="T"><%=dmstoretext.getString("DETAILS_TIMELAPSE")%></option>
                                    <option value="F"><%=dmstoretext.getString("DETAILS_FASTMOTION")%></option>
                                </select>
                                                                                                                                <script language="javascript">
                                                                var selectedSpeed = "<%=showcameraspeed%>";
                                                                var x;
                                                                for(x=0;x<document.updateImage.updatecameraSpeed.options.length;x++)
                                                                {
                                                                        //alert(document.form1.bkgrnd.options.length);
                                                                        if(document.updateImage.updatecameraSpeed.options[x].value == selectedSpeed) {
                                                                                document.updateImage.updatecameraSpeed.options[x].selected = true;
                                                                                }
                                                                }
                                                                </script>
                                        </td>
                                </tr>
                                <tr>
                                        <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                       <tr>
                                <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
<tr>
                                    <td colspan="2"><b><font face="Arial, Helvetica, sans-serif" size="1"><%=dmstoretext.getString("DETAILS_CAMERAELEMENT")%></font></b></td>
                                    <td></td>
                                    <td><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/but_help_form.gif" width="15" height="15"></td>
                                    <td>
                                        <select name="updatecameraElement" size="1">
                                    <option value="<%=dmstoretext.getString("DETAILS_IMAGE")%>" selected><%=dmstoretext.getString("DETAILS_IMAGE")%></option>
                                    <option value="<%=dmstoretext.getString("DETAILS_VIDEO")%>"><%=dmstoretext.getString("DETAILS_VIDEO")%></option>
                                </select>
                                                                                                                                <script language="javascript">
                                                                var selectedElement = "<%=showcameraelement%>";
                                                                var x;
                                                                for(x=0;x<document.updateImage.updatecameraElement.options.length;x++)
                                                                {
                                                                        //alert(document.form1.bkgrnd.options.length);
                                                                        if(document.updateImage.updatecameraElement.options[x].value == selectedElement) {
                                                                                document.updateImage.updatecameraElement.options[x].selected = true;
                                                                                }
                                                                }
                                                                </script>
                                        </td>
                                </tr>
                                <tr>
                                        <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                       <tr>
                                <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                       <tr>
                                <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                                                <tr>
                                    <td colspan="2"><b><font face="Arial, Helvetica, sans-serif" size="1"><%=dmstoretext.getString("DETAILS_TIMEPER")%></font></b></td>
                                    <td></td>
                                    <td><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/but_help_form.gif" width="15" height="15"></td>
                                    <td>
                                        <select name="updatetimePeriod" size="1">
                                    <option value=""><%=dmstoretext.getString("DETAILS_NONE")%></option>
                                    <option value="<%=dmstoretext.getString("DETAILS_PREHISTORIC")%>"><%=dmstoretext.getString("DETAILS_PREHISTORIC")%></option>
                                    <option value="<%=dmstoretext.getString("DETAILS_ANCIENT")%>"><%=dmstoretext.getString("DETAILS_ANCIENT")%></option>
                                    <option value="<%=dmstoretext.getString("DETAILS_MODERN")%>"><%=dmstoretext.getString("DETAILS_MODERN")%></option>
                                    <option value="<%=dmstoretext.getString("DETAILS_1900")%>"><%=dmstoretext.getString("DETAILS_1900")%></option>
                                    <option value="<%=dmstoretext.getString("DETAILS_2000")%>"><%=dmstoretext.getString("DETAILS_2000")%></option> <% //d14273 %>
                                </select>
                                                                                                                                <script language="javascript">
                                                                var selectedPeriod = "<%=showtimePeriod%>";
                                                                var x;
                                                                for(x=0;x<document.updateImage.updatetimePeriod.options.length;x++)
                                                                {
                                                                        //alert(document.form1.bkgrnd.options.length);
                                                                        if(document.updateImage.updatetimePeriod.options[x].value == selectedPeriod) {
                                                                                document.updateImage.updatetimePeriod.options[x].selected = true;
                                                                                }
                                                                }
                                                                </script>
                                        </td>
                                </tr>
                                <tr>
                                        <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                       <tr>
                                <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                                                <tr>
                                    <td colspan="2"><b><font face="Arial, Helvetica, sans-serif" size="1"><%=dmstoretext.getString("DETAILS_RELEASE")%></font></b></td>
                                    <td></td>
                                    <td><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/but_help_form.gif" width="15" height="15"></td>
                                    <td>
                                        <select name="updateimageRelease" size="1">
                                                                
                                    <option value="Y" ><%=dmstoretext.getString("YES")%></option>
                                    <option value="N"><%=dmstoretext.getString("NO_CHOICE")%></option>
                                </select>
                                                                                                                                <script language="javascript">
                                                                var selectedRelease = "<%=showimageRelease%>";
                                                                var x;
                                                                for(x=0;x<document.updateImage.updateimageRelease.options.length;x++)
                                                                {
                                                                        //alert(document.form1.bkgrnd.options.length);
                                                                        if(document.updateImage.updateimageRelease.options[x].value == selectedRelease) {
                                                                                document.updateImage.updateimageRelease.options[x].selected = true;
                                                                                }
                                                                }
                                                                </script>
                                        </td>
                                </tr>
                                <tr>
                                        <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                       <tr>
                                <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                                                <tr>
                                    <td colspan="2"><b><font face="Arial, Helvetica, sans-serif" size="1"><%=dmstoretext.getString("DETAILS_RESTRICTIONS")%></font></b></td>
                                    <td></td>
                                    <td><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/but_help_form.gif" width="15" height="15"></td>
                                    <td>
                                        <select name="updateimageRestrictions" size="1">
                                    <option value="Y" ><%=dmstoretext.getString("YES")%></option>
                                    <option value="N"><%=dmstoretext.getString("NO_CHOICE")%></option>
                                </select>
                                                                                                                                <script language="javascript">
                                                                var selectedRestriction = "<%=showimageRestrictions%>";
                                                                var x;
                                                                for(x=0;x<document.updateImage.updateimageRestrictions.options.length;x++)
                                                                {
                                                                        //alert(document.form1.bkgrnd.options.length);
                                                                        if(document.updateImage.updateimageRestrictions.options[x].value == selectedRestriction) {
                                                                                document.updateImage.updateimageRestrictions.options[x].selected = true;
                                                                                }
                                                                }
                                                                </script>
                                        </td>
                                </tr>
                                <tr>
                                        <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                       <tr>
                                <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>

<%
                                                //String keyword_list = libImgDataFull.getKeyWords();
                                                String keyword_list = showkeywords;
                                                StringTokenizer st = new StringTokenizer(keyword_list, ",");
                                                Vector keywords = new Vector();
                                                int blnks_cnt = 10 - st.countTokens();
                                                while(st.hasMoreElements())
                                                {
                                                        keywords.addElement(st.nextElement());
                                                }
                                                while(blnks_cnt > 0)
                                                {
                                                        keywords.addElement(null); 
                                                        blnks_cnt--;
                                                }
                                                int i = 0;
                                                while(i < 10)
                                                { 
%>
                                                <tr>
                                                        <td colspan="2" valign="top" height="7">
<%                                                      if(i == 0)
                                                        { %>
                                                                <p><b><font face="Arial, Helvetica, sans-serif" size="1"><font color=red>*</font><%=dmstoretext.getString("ASSIGN_KEYWORDS")%></font></b></p>
<%                                                      }   
                                                        if(i == 4)
                                                        { %>
                                                                <!-- <b><font face="Arial, Helvetica, sans-serif" size="1"><a href="#"><%=dmstoretext.getString("LIBRARY_BROWSE_KEYWORDS")%>&gt;&gt;</a></font></b> -->
<%                                                      } %>
                                                        </td>
                                                        <td></td>
                                                        <td valign="top">
<%                                                      if(i == 4)
                                                        { %>
                                                                <a href="#"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/but_help_form.gif" width="15" height="15" border="0" alt="<%=dmstoretext.getString("ADMINMED1_TAG")%>"></a>
<%                                                      } %>                    
                                                        </td>
                                                        <td height="7">
<%                                                      if(keywords.elementAt(i) != null)
                                                        { 
                                                                String keyw = (String)keywords.elementAt(i);
                                                                keyw = keyw.trim();
                                                        %>
                                                                <script language="javascript"> <!--
                                                        if (isMac && !isIE5)
                                                                {
                                                                    if (isNavigator) {
                                                                        document.write('<input type=\"text\" name=\"updateimageKeywords\" size=\"15\" value=\"<%=keyw%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                    } else {
                                                                        document.write('<input type=\"text\" name=\"updateimageKeywords\" size=\"9\" value=\"<%=keyw%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                        }
                                                                }
                                                                else
                                                                {
                                                                         if (isNavigator) {
                                                                           document.write('<input type=\"text\" name=\"updateimageKeywords\" size=\"10\" value=\"<%=keyw%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                        } else {
                                                                                document.write('<input type=\"text\" name=\"updateimageKeywords\" size=\"15\" value=\"<%=keyw%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                }
                                                            }
                                                        //-->
                                                                </script>
<%                                                      }
                                                        else
                                                        { %>
                                                                <script language="javascript"> <!--
                                                        if (isMac && !isIE5)
                                                                {
                                                                    if (isNavigator) {
                                                                        document.write('<input type=\"text\" name=\"updateimageKeywords\" size=\"15\" value=\"\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                    } else {
                                                                        document.write('<input type=\"text\" name=\"updateimageKeywords\" size=\"9\" value=\"\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                        }
                                                                }
                                                                else
                                                                {
                                                                         if (isNavigator) {
                                                                           document.write('<input type=\"text\" name=\"updateimageKeywords\" size=\"10\" value=\"\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                        } else {
                                                                                document.write('<input type=\"text\" name=\"updateimageKeywords\" size=\"15\" value=\"\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                }
                                                            }
                                                        //-->
                                                                </script>
<%                                                      }
                                                        i++;
                                                        if(keywords.elementAt(i) != null)
                                                        { 
                                                                String keyw = (String)keywords.elementAt(i);
                                                                keyw = keyw.trim();

                                                        %>
                                                                <script language="javascript"> <!--
                                                        if (isMac && !isIE5)
                                                                {
                                                                    if (isNavigator) {
                                                                        document.write('<input type=\"text\" name=\"updateimageKeywords\" size=\"15\" value=\"<%=keyw%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                    } else {
                                                                        document.write('<input type=\"text\" name=\"updateimageKeywords\" size=\"9\" value=\"<%=keyw%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                        }
                                                                }
                                                                else
                                                                {
                                                                         if (isNavigator) {
                                                                           document.write('<input type=\"text\" name=\"updateimageKeywords\" size=\"10\" value=\"<%=keyw%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                        } else {
                                                                                document.write('<input type=\"text\" name=\"updateimageKeywords\" size=\"15\" value=\"<%=keyw%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                }
                                                            }
                                                        //-->
                                                                </script>
<%                                                      }
                                                        else
                                                        { %>
                                                                <script language="javascript"> <!--
                                                        if (isMac && !isIE5)
                                                                {
                                                                    if (isNavigator) {
                                                                        document.write('<input type=\"text\" name=\"updateimageKeywords\" size=\"15\" value=\"\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                    } else {
                                                                        document.write('<input type=\"text\" name=\"updateimageKeywords\" size=\"9\" value=\"\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                        }
                                                                }
                                                                else
                                                                {
                                                                         if (isNavigator) {
                                                                           document.write('<input type=\"text\" name=\"updateimageKeywords\" size=\"10\" value=\"\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                        } else {
                                                                                document.write('<input type=\"text\" name=\"updateimageKeywords\" size=\"15\" value=\"\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                }
                                                            }
                                                        //-->
                                                                </script>
<%                                                      } %>
                                                        </td>
                                                </tr>
<%                                                      i++;
                                                } %>    

</Form>
                                                <tr>
                                                        <td align="right" width="410"><b><font face="Arial, Helvetica, sans-serif" size="1">
                                
                                        <%
                                                
                                                if ((batchstatus == null)  || ((batchstatus.trim().equals(""))))
                                                {
                                        %>
                                                        
                 <%
                        if ( (deletemedia != null) && (deletemedia.equalsIgnoreCase("true")) )
                        {
                        %>
                        <a href="javascript:delete_changes(document.updateImage);"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/library/deletemedia.gif" alt="<%=dmstoretext.getString("ADMINMED2_TAG")%>" border="0"></a>&nbsp;&nbsp;
                        <%
                        }
                        else
                        {
                        %>
                                        <a href="javascript:save_changes(document.updateImage);"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/library/savemedia.gif" alt="<%=dmstoretext.getString("ADMINMED3_TAG")%>" border="0"></a>&nbsp;&nbsp;
                                <%
                                }
                                %>
                                        </font></b></td>
                                                  <% } else { %>
                       <%=dmstoretext.getString("DETAILS_BUSY")%></font></b></td>
                                           <%}%>
                                                </tr>

                                                
                                                

                 
                 
                                                </table>
                                        </td>
                                        </tr>
                                        </table>                                        
                                </td>
                                <td bgcolor="#cccccc" width="1" height="1050"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="1"></td>
                                </tr>
                                <tr>
                <td bgcolor="#cccccc" width="1" height="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="1"></td>
                <td bgcolor="#cccccc" colspan="5" height="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="1"></td>
                <td bgcolor="#cccccc" width="10" height="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="2"></td>
                </tr>
                                </table>
                                
                                
                </table>                <!--end of outside table for alignment purposes-->
                
                
                
        </td>           
        </tr>   
</table>

        
</td>
<td bgcolor="#000000" width="1"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="15" border="0" alt=""></td>

</tr>   
</table>



<%
//-----------------
// INCLUDE:  FOOTER
//-----------------
%>

<jsp:include page="DMFooter.jsp" flush="true"/>
<%
//-----------------------------------
// INCLUDE:  MEDIACOMMERCE HTML FORMS
//-----------------------------------
%>

<FORM NAME="ViewDetail" ACTION="<%=MEDIA_IMAGE_DETAIL_URL%>" Method=post>
        <input type="hidden" name="partNumber" value="">
        <input type="hidden" name="imageNumber" value="">
        <input type="hidden" name="<%=com.ibm.commerce.digitalmedia.mediafolder.utils.Utility.NVP_LB_NUM%>" value="">
        <input type=hidden name="<%=SearchMediaConstants.MEDIA_SEARCH_CM_START%><%=SearchMediaConstants.MEDIA_CM_IMAGE_KEYWORDS%>" value="<%=imageid%>">
        <input type=hidden name="<%=SearchMediaConstants.MEDIA_START_IMAGE_NO%>" value="0">     
        <input type="hidden" name="storeId" value="<%=storeId%>">
        <input type="hidden" name="catalogId" value="<%=catalogId%>">
        <input type="hidden" name="langId" value="<%=languageId%>">
        <input type="hidden" name="shopper_ref" value="<%=activeUserID%>"> <%//8006.n%>
        <input type="hidden" name="user_id" value="<%=activeUserID%>"> <%//8006.n%>
        <input type="hidden" name="errorurl" value="<%=ERROR_HANDLER_JSP%>">
</FORM>

<%
//==========================
// EXCEPTION HANDLING -- END
//==========================
} 
catch (Exception e) 
{
   /***************************************************************************/
   /* Note:  Do NOT dispatch message here since by this point, some HTML code */
   /*        may have already been written and some browsers will NOT display */
   /*        a new HTML page before the current HTML page is completed.       */
   /***************************************************************************/
   
   //--- Set the message
   String msg = dmstoretext.getString("DMCOMMON_TEXT1") + e.toString();
   
   //--- Log the message
   Message.logMessage(msg, 0);
   
   //--- Display the error as part of the current HTML page
%>
   <br><b><%=dmstoretext.getString("ERROR")%></b> <%=msg%>
<%
   
   //--- Print a dump of the exception
   e.printStackTrace();
}
%>

</BODY>
</HTML>
